### Home Classes Methods

### In Files

- lib/fog/brightbox/compute.rb
- lib/fog/brightbox/requests/compute/update_user.rb
- lib/fog/brightbox/requests/compute/add_servers_server_group.rb
- lib/fog/brightbox/requests/compute/list_server_groups.rb
- lib/fog/brightbox/requests/compute/list_zones.rb
- lib/fog/brightbox/requests/compute/list_api_clients.rb
- lib/fog/brightbox/requests/compute/stop_server.rb
- lib/fog/brightbox/requests/compute/list_images.rb
- lib/fog/brightbox/requests/compute/create_server.rb
- lib/fog/brightbox/requests/compute/shutdown_server.rb
- lib/fog/brightbox/requests/compute/update_application.rb
- lib/fog/brightbox/requests/compute/delete_firewall_policy.rb
- lib/fog/brightbox/requests/compute/delete_user_collaboration.rb
- lib/fog/brightbox/requests/compute/get_application.rb
- lib/fog/brightbox/requests/compute/get_image.rb
- lib/fog/brightbox/requests/compute/get_cloud_ip.rb
- lib/fog/brightbox/requests/compute/activate_console_server.rb
- lib/fog/brightbox/requests/compute/create_firewall_policy.rb
- lib/fog/brightbox/requests/compute/create_load_balancer.rb
- lib/fog/brightbox/requests/compute/remove_listeners_load_balancer.rb
- lib/fog/brightbox/requests/compute/get_user.rb
- lib/fog/brightbox/requests/compute/delete_api_client.rb
- lib/fog/brightbox/requests/compute/delete_application.rb
- lib/fog/brightbox/requests/compute/update_image.rb
- lib/fog/brightbox/requests/compute/update_scoped_account.rb
- lib/fog/brightbox/requests/compute/get_load_balancer.rb
- lib/fog/brightbox/requests/compute/create_api_client.rb
- lib/fog/brightbox/requests/compute/start_server.rb
- lib/fog/brightbox/requests/compute/remove_firewall_policy.rb
- lib/fog/brightbox/requests/compute/snapshot_server.rb
- lib/fog/brightbox/requests/compute/delete_collaboration.rb
- lib/fog/brightbox/requests/compute/delete_firewall_rule.rb
- lib/fog/brightbox/requests/compute/update_firewall_rule.rb
- lib/fog/brightbox/requests/compute/get_server_type.rb
- lib/fog/brightbox/requests/compute/list_cloud_ips.rb
- lib/fog/brightbox/requests/compute/get_server_group.rb
- lib/fog/brightbox/requests/compute/map_cloud_ip.rb
- lib/fog/brightbox/requests/compute/create_application.rb
- lib/fog/brightbox/requests/compute/reject_user_collaboration.rb
- lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb
- lib/fog/brightbox/requests/compute/get_server.rb
- lib/fog/brightbox/requests/compute/get_api_client.rb
- lib/fog/brightbox/requests/compute/get_firewall_rule.rb
- lib/fog/brightbox/requests/compute/remove_servers_server_group.rb
- lib/fog/brightbox/requests/compute/get_authenticated_user.rb
- lib/fog/brightbox/requests/compute/accept_user_collaboration.rb
- lib/fog/brightbox/requests/compute/reset_secret_application.rb
- lib/fog/brightbox/requests/compute/list_users.rb
- lib/fog/brightbox/requests/compute/reset_secret_api_client.rb
- lib/fog/brightbox/requests/compute/get_zone.rb
- lib/fog/brightbox/requests/compute/list_collaborations.rb
- lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb
- lib/fog/brightbox/requests/compute/update_server_group.rb
- lib/fog/brightbox/requests/compute/get_scoped_account.rb
- lib/fog/brightbox/requests/compute/delete_load_balancer.rb
- lib/fog/brightbox/requests/compute/update_api_client.rb
- lib/fog/brightbox/requests/compute/delete_image.rb
- lib/fog/brightbox/requests/compute/update_load_balancer.rb
- lib/fog/brightbox/requests/compute/list_applications.rb
- lib/fog/brightbox/requests/compute/create_server_group.rb
- lib/fog/brightbox/requests/compute/apply_to_firewall_policy.rb
- lib/fog/brightbox/requests/compute/get_collaboration.rb
- lib/fog/brightbox/requests/compute/list_accounts.rb
- lib/fog/brightbox/requests/compute/update_firewall_policy.rb
- lib/fog/brightbox/requests/compute/add_listeners_load_balancer.rb
- lib/fog/brightbox/requests/compute/reset_ftp_password_scoped_account.rb
- lib/fog/brightbox/requests/compute/update_server.rb
- lib/fog/brightbox/requests/compute/delete_server_group.rb
- lib/fog/brightbox/requests/compute/delete_cloud_ip.rb
- lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb
- lib/fog/brightbox/requests/compute/list_load_balancers.rb
- lib/fog/brightbox/requests/compute/list_firewall_policies.rb
- lib/fog/brightbox/requests/compute/list_servers.rb
- lib/fog/brightbox/requests/compute/get_firewall_policy.rb
- lib/fog/brightbox/requests/compute/update_cloud_ip.rb
- lib/fog/brightbox/requests/compute/create_cloud_ip.rb
- lib/fog/brightbox/requests/compute/create_image.rb
- lib/fog/brightbox/requests/compute/create_collaboration.rb
- lib/fog/brightbox/requests/compute/get_account.rb
- lib/fog/brightbox/requests/compute/create_firewall_rule.rb
- lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb
- lib/fog/brightbox/requests/compute/move_servers_server_group.rb
- lib/fog/brightbox/requests/compute/destroy_user_collaboration.rb
- lib/fog/brightbox/requests/compute/delete_server.rb
- lib/fog/brightbox/requests/compute/get_user_collaboration.rb
- lib/fog/brightbox/requests/compute/resend_collaboration.rb
- lib/fog/brightbox/requests/compute/list_user_collaborations.rb
- lib/fog/brightbox/requests/compute/get_interface.rb
- lib/fog/brightbox/requests/compute/list_server_types.rb
- lib/fog/brightbox/requests/compute/update_account.rb

### Parent

Object

### Methods

- #accept_user_collaboration
- #activate_console_server
- #add_listeners_load_balancer
- #add_nodes_load_balancer
- #add_servers_server_group
- #apply_to_firewall_policy
- #create_api_client
- #create_application
- #create_cloud_ip
- #create_collaboration
- #create_firewall_policy
- #create_firewall_rule
- #create_image
- #create_load_balancer
- #create_server
- #create_server_group
- #delete_api_client
- #delete_application
- #delete_cloud_ip
- #delete_collaboration
- #delete_firewall_policy
- #delete_firewall_rule
- #delete_image
- #delete_load_balancer
- #delete_server
- #delete_server_group
- #delete_user_collaboration
- #destroy_api_client
- #destroy_application
- #destroy_cloud_ip
- #destroy_collaboration
- #destroy_firewall_policy
- #destroy_firewall_rule
- #destroy_image
- #destroy_load_balancer
- #destroy_server
- #destroy_server_group
- #destroy_user_collaboration
- #get_account
- #get_api_client
- #get_application
- #get_authenticated_user
- #get_cloud_ip
- #get_collaboration
- #get_firewall_policy
- #get_firewall_rule
- #get_image
- #get_interface
- #get_load_balancer
- #get_scoped_account
- #get_server
- #get_server_group
- #get_server_type
- #get_user
- #get_user_collaboration
- #get_zone
- #list_accounts
- #list_api_clients
- #list_applications
- #list_cloud_ips
- #list_collaborations
- #list_firewall_policies
- #list_images
- #list_load_balancers
- #list_server_groups
- #list_server_types
- #list_servers
- #list_user_collaborations
- #list_users
- #list_zones
- #map_cloud_ip
- #move_servers_server_group
- #reject_user_collaboration
- #remove_firewall_policy
- #remove_listeners_load_balancer
- #remove_nodes_load_balancer
- #remove_servers_server_group
- #request
- #resend_collaboration
- #reset_ftp_password_account
- #reset_ftp_password_scoped_account
- #reset_secret_api_client
- #reset_secret_application
- #shutdown_server
- #snapshot_server
- #start_server
- #stop_server
- #unmap_cloud_ip
- #update_account
- #update_api_client
- #update_application
- #update_cloud_ip
- #update_firewall_policy
- #update_firewall_rule
- #update_image
- #update_load_balancer
- #update_scoped_account
- #update_server
- #update_server_group
- #update_user
- #wrapped_request

### Included Modules

- Fog::Brightbox::Compute::Shared

### Files

- README_HP.rdoc
- lorem.txt

### Class/Module Index

Quicksearch

- Fog
- Fog::AWS
- Fog::AWS::AutoScaling
- Fog::AWS::AutoScaling::Activities
- Fog::AWS::AutoScaling::Activity
- Fog::AWS::AutoScaling::Configuration
- Fog::AWS::AutoScaling::Configurations
- Fog::AWS::AutoScaling::Group
- Fog::AWS::AutoScaling::Groups
- Fog::AWS::AutoScaling::IdentifierTaken
- Fog::AWS::AutoScaling::Instance
- Fog::AWS::AutoScaling::Instances
- Fog::AWS::AutoScaling::Mock
- Fog::AWS::AutoScaling::Policies
- Fog::AWS::AutoScaling::Policy
- Fog::AWS::AutoScaling::Real
- Fog::AWS::AutoScaling::ResourceInUse
- Fog::AWS::AutoScaling::ValidationError
- Fog::AWS::CloudFormation
- Fog::AWS::CloudFormation::Mock
- Fog::AWS::CloudFormation::Real
- Fog::AWS::CloudWatch
- Fog::AWS::CloudWatch::Alarm
- Fog::AWS::CloudWatch::AlarmData
- Fog::AWS::CloudWatch::AlarmDatum
- Fog::AWS::CloudWatch::AlarmHistories
- Fog::AWS::CloudWatch::AlarmHistory
- Fog::AWS::CloudWatch::Alarms
- Fog::AWS::CloudWatch::Metric
- Fog::AWS::CloudWatch::MetricStatistic
- Fog::AWS::CloudWatch::MetricStatistics
- Fog::AWS::CloudWatch::Metrics
- Fog::AWS::CloudWatch::Mock
- Fog::AWS::CloudWatch::Real
- Fog::AWS::CredentialFetcher
- Fog::AWS::CredentialFetcher::ConnectionMethods
- Fog::AWS::CredentialFetcher::ServiceMethods
- Fog::AWS::DataPipeline
- Fog::AWS::DataPipeline::Mock
- Fog::AWS::DataPipeline::Pipeline
- Fog::AWS::DataPipeline::Pipelines
- Fog::AWS::DataPipeline::Real
- Fog::AWS::DynamoDB
- Fog::AWS::DynamoDB::Mock
- Fog::AWS::DynamoDB::Real
- Fog::AWS::ELB
- Fog::AWS::ELB::DuplicatePolicyName
- Fog::AWS::ELB::IdentifierTaken
- Fog::AWS::ELB::InvalidConfigurationRequest
- Fog::AWS::ELB::InvalidInstance
- Fog::AWS::ELB::Listener
- Fog::AWS::ELB::Listeners
- Fog::AWS::ELB::LoadBalancer
- Fog::AWS::ELB::LoadBalancers
- Fog::AWS::ELB::Mock
- Fog::AWS::ELB::Policies
- Fog::AWS::ELB::Policy
- Fog::AWS::ELB::PolicyNotFound
- Fog::AWS::ELB::PolicyTypeNotFound
- Fog::AWS::ELB::Real
- Fog::AWS::ELB::Throttled
- Fog::AWS::ELB::TooManyPolicies
- Fog::AWS::ELB::ValidationError
- Fog::AWS::EMR
- Fog::AWS::EMR::IdentifierTaken
- Fog::AWS::EMR::Mock
- Fog::AWS::EMR::Real
- Fog::AWS::ElasticBeanstalk
- Fog::AWS::ElasticBeanstalk::Application
- Fog::AWS::ElasticBeanstalk::Applications
- Fog::AWS::ElasticBeanstalk::Environment
- Fog::AWS::ElasticBeanstalk::Environments
- Fog::AWS::ElasticBeanstalk::Event
- Fog::AWS::ElasticBeanstalk::Events
- Fog::AWS::ElasticBeanstalk::InvalidParameterError
- Fog::AWS::ElasticBeanstalk::Mock
- Fog::AWS::ElasticBeanstalk::Real
- Fog::AWS::ElasticBeanstalk::Template
- Fog::AWS::ElasticBeanstalk::Templates
- Fog::AWS::ElasticBeanstalk::Version
- Fog::AWS::ElasticBeanstalk::Versions
- Fog::AWS::Elasticache
- Fog::AWS::Elasticache::Cluster
- Fog::AWS::Elasticache::Clusters
- Fog::AWS::Elasticache::IdentifierTaken
- Fog::AWS::Elasticache::InvalidInstance
- Fog::AWS::Elasticache::Mock
- Fog::AWS::Elasticache::ParameterGroup
- Fog::AWS::Elasticache::ParameterGroups
- Fog::AWS::Elasticache::Real
- Fog::AWS::Elasticache::SecurityGroup
- Fog::AWS::Elasticache::SecurityGroups
- Fog::AWS::Errors
- Fog::AWS::Glacier
- Fog::AWS::Glacier::Archive
- Fog::AWS::Glacier::Archives
- Fog::AWS::Glacier::Job
- Fog::AWS::Glacier::Jobs
- Fog::AWS::Glacier::Mock
- Fog::AWS::Glacier::Real
- Fog::AWS::Glacier::TreeHash
- Fog::AWS::Glacier::Vault
- Fog::AWS::Glacier::Vaults
- Fog::AWS::IAM
- Fog::AWS::IAM::AccessKey
- Fog::AWS::IAM::AccessKeys
- Fog::AWS::IAM::EntityAlreadyExists
- Fog::AWS::IAM::KeyPairMismatch
- Fog::AWS::IAM::LimitExceeded
- Fog::AWS::IAM::MalformedCertificate
- Fog::AWS::IAM::Mock
- Fog::AWS::IAM::Policies
- Fog::AWS::IAM::Policy
- Fog::AWS::IAM::Real
- Fog::AWS::IAM::Role
- Fog::AWS::IAM::Roles
- Fog::AWS::IAM::User
- Fog::AWS::IAM::Users
- Fog::AWS::IAM::ValidationError
- Fog::AWS::Mock
- Fog::AWS::RDS
- Fog::AWS::RDS::AuthorizationAlreadyExists
- Fog::AWS::RDS::IdentifierTaken
- Fog::AWS::RDS::LogFile
- Fog::AWS::RDS::LogFiles
- Fog::AWS::RDS::Mock
- Fog::AWS::RDS::Parameter
- Fog::AWS::RDS::ParameterGroup
- Fog::AWS::RDS::ParameterGroups
- Fog::AWS::RDS::Parameters
- Fog::AWS::RDS::Real
- Fog::AWS::RDS::SecurityGroup
- Fog::AWS::RDS::SecurityGroups
- Fog::AWS::RDS::Server
- Fog::AWS::RDS::Servers
- Fog::AWS::RDS::Snapshot
- Fog::AWS::RDS::Snapshots
- Fog::AWS::RDS::SubnetGroup
- Fog::AWS::RDS::SubnetGroups
- Fog::AWS::SES
- Fog::AWS::SES::InvalidParameterError
- Fog::AWS::SES::MessageRejected
- Fog::AWS::SES::Mock
- Fog::AWS::SES::Real
- Fog::AWS::SNS
- Fog::AWS::SNS::Mock
- Fog::AWS::SNS::Real
- Fog::AWS::SQS
- Fog::AWS::SQS::Mock
- Fog::AWS::SQS::Real
- Fog::AWS::STS
- Fog::AWS::STS::EntityAlreadyExists
- Fog::AWS::STS::Mock
- Fog::AWS::STS::Real
- Fog::AWS::STS::ValidationError
- Fog::AWS::SignatureV4
- Fog::AWS::SimpleDB
- Fog::AWS::SimpleDB::Mock
- Fog::AWS::SimpleDB::Real
- Fog::Account
- Fog::Account::StormOnDemand
- Fog::Account::StormOnDemand::Mock
- Fog::Account::StormOnDemand::Real
- Fog::Account::StormOnDemand::Token
- Fog::Account::StormOnDemand::Tokens
- Fog::Atmos
- Fog::Attributes
- Fog::Attributes::ClassMethods
- Fog::Attributes::InstanceMethods
- Fog::BareMetalCloud
- Fog::Billing
- Fog::Billing::StormOnDemand
- Fog::Billing::StormOnDemand::Invoice
- Fog::Billing::StormOnDemand::Invoices
- Fog::Billing::StormOnDemand::Mock
- Fog::Billing::StormOnDemand::Payment
- Fog::Billing::StormOnDemand::Payments
- Fog::Billing::StormOnDemand::Real
- Fog::Bin
- Fog::Bluebox
- Fog::Bluebox::BLB
- Fog::Bluebox::BLB::LbApplication
- Fog::Bluebox::BLB::LbApplications
- Fog::Bluebox::BLB::LbBackend
- Fog::Bluebox::BLB::LbBackends
- Fog::Bluebox::BLB::LbService
- Fog::Bluebox::BLB::LbServices
- Fog::Bluebox::BLB::Mock
- Fog::Bluebox::BLB::Real
- Fog::Bluebox::DNS
- Fog::Bluebox::DNS::Mock
- Fog::Bluebox::DNS::Real
- Fog::Brightbox
- Fog::Brightbox::Compute
- Fog::Brightbox::Compute::ImageSelector
- Fog::Brightbox::Compute::Shared
- Fog::Brightbox::OAuth2
- Fog::Brightbox::OAuth2::ClientCredentialsStrategy
- Fog::Brightbox::OAuth2::CredentialSet
- Fog::Brightbox::OAuth2::GrantTypeStrategy
- Fog::Brightbox::OAuth2::RefreshTokenStrategy
- Fog::Brightbox::OAuth2::UserCredentialsStrategy
- Fog::CDN
- Fog::CDN::AWS
- Fog::CDN::AWS::Distribution
- Fog::CDN::AWS::DistributionHelper
- Fog::CDN::AWS::Distributions
- Fog::CDN::AWS::DistributionsHelper
- Fog::CDN::AWS::Invalidation
- Fog::CDN::AWS::Invalidations
- Fog::CDN::AWS::Mock
- Fog::CDN::AWS::Real
- Fog::CDN::AWS::StreamingDistribution
- Fog::CDN::AWS::StreamingDistributions
- Fog::CDN::HP
- Fog::CDN::HP::Mock
- Fog::CDN::HP::Real
- Fog::CDN::HP::Utils
- Fog::CDN::Rackspace
- Fog::CDN::Rackspace::Base
- Fog::CDN::Rackspace::Mock
- Fog::CDN::Rackspace::Real
- Fog::Clodo
- Fog::CloudSigma
- Fog::CloudSigma::CloudSigmaConnection
- Fog::CloudSigma::CloudSigmaConnection::Mock
- Fog::CloudSigma::CloudSigmaConnection::Real
- Fog::CloudSigma::CloudsigmaModel
- Fog::CloudSigma::Errors
- Fog::CloudSigma::Errors::Error
- Fog::CloudSigma::Errors::NotFound
- Fog::CloudSigma::Errors::RequestError
- Fog::CloudSigma::Errors::ServerError
- Fog::Cloudstack
- Fog::Collection
- Fog::Compute
- Fog::Compute::AWS
- Fog::Compute::AWS::Address
- Fog::Compute::AWS::Addresses
- Fog::Compute::AWS::DhcpOption
- Fog::Compute::AWS::DhcpOptions
- Fog::Compute::AWS::Flavor
- Fog::Compute::AWS::Flavors
- Fog::Compute::AWS::Image
- Fog::Compute::AWS::Images
- Fog::Compute::AWS::InternetGateway
- Fog::Compute::AWS::InternetGateways
- Fog::Compute::AWS::KeyPair
- Fog::Compute::AWS::KeyPairs
- Fog::Compute::AWS::Mock
- Fog::Compute::AWS::NetworkInterface
- Fog::Compute::AWS::NetworkInterfaces
- Fog::Compute::AWS::Real
- Fog::Compute::AWS::SecurityGroup
- Fog::Compute::AWS::SecurityGroups
- Fog::Compute::AWS::Server
- Fog::Compute::AWS::Servers
- Fog::Compute::AWS::Snapshot
- Fog::Compute::AWS::Snapshots
- Fog::Compute::AWS::SpotRequest
- Fog::Compute::AWS::SpotRequests
- Fog::Compute::AWS::Subnet
- Fog::Compute::AWS::Subnets
- Fog::Compute::AWS::Tag
- Fog::Compute::AWS::Tags
- Fog::Compute::AWS::VPC
- Fog::Compute::AWS::Volume
- Fog::Compute::AWS::Volumes
- Fog::Compute::AWS::Vpcs
- Fog::Compute::BareMetalCloud
- Fog::Compute::BareMetalCloud::Mock
- Fog::Compute::BareMetalCloud::Real
- Fog::Compute::Bluebox
- Fog::Compute::Bluebox::BlockInstantiationError
- Fog::Compute::Bluebox::Flavor
- Fog::Compute::Bluebox::Flavors
- Fog::Compute::Bluebox::Image
- Fog::Compute::Bluebox::Images
- Fog::Compute::Bluebox::Location
- Fog::Compute::Bluebox::Locations
- Fog::Compute::Bluebox::Mock
- Fog::Compute::Bluebox::Real
- Fog::Compute::Bluebox::Server
- Fog::Compute::Bluebox::Servers
- Fog::Compute::Brightbox
- Fog::Compute::Brightbox::Account
- Fog::Compute::Brightbox::Accounts
- Fog::Compute::Brightbox::ApiClient
- Fog::Compute::Brightbox::ApiClients
- Fog::Compute::Brightbox::Application
- Fog::Compute::Brightbox::Applications
- Fog::Compute::Brightbox::CloudIp
- Fog::Compute::Brightbox::CloudIps
- Fog::Compute::Brightbox::Collaboration
- Fog::Compute::Brightbox::Collaborations
- Fog::Compute::Brightbox::FirewallPolicies
- Fog::Compute::Brightbox::FirewallPolicy
- Fog::Compute::Brightbox::FirewallRule
- Fog::Compute::Brightbox::FirewallRules
- Fog::Compute::Brightbox::Flavor
- Fog::Compute::Brightbox::Flavors
- Fog::Compute::Brightbox::Image
- Fog::Compute::Brightbox::Images
- Fog::Compute::Brightbox::LoadBalancer
- Fog::Compute::Brightbox::LoadBalancers
- Fog::Compute::Brightbox::Mock
- Fog::Compute::Brightbox::Real
- Fog::Compute::Brightbox::Server
- Fog::Compute::Brightbox::ServerGroup
- Fog::Compute::Brightbox::ServerGroups
- Fog::Compute::Brightbox::Servers
- Fog::Compute::Brightbox::User
- Fog::Compute::Brightbox::UserCollaboration
- Fog::Compute::Brightbox::UserCollaborations
- Fog::Compute::Brightbox::Users
- Fog::Compute::Brightbox::Zone
- Fog::Compute::Brightbox::Zones
- Fog::Compute::Clodo
- Fog::Compute::Clodo::Image
- Fog::Compute::Clodo::Images
- Fog::Compute::Clodo::Mock
- Fog::Compute::Clodo::Real
- Fog::Compute::Clodo::Server
- Fog::Compute::Clodo::Servers
- Fog::Compute::CloudSigma
- Fog::Compute::CloudSigma::Balance
- Fog::Compute::CloudSigma::CommonMockAndReal
- Fog::Compute::CloudSigma::CurrentUsage
- Fog::Compute::CloudSigma::IP
- Fog::Compute::CloudSigma::IPConf
- Fog::Compute::CloudSigma::Ips
- Fog::Compute::CloudSigma::LibVolume
- Fog::Compute::CloudSigma::LibVolumes
- Fog::Compute::CloudSigma::Mock
- Fog::Compute::CloudSigma::MountPoint
- Fog::Compute::CloudSigma::Nic
- Fog::Compute::CloudSigma::ObjRef
- Fog::Compute::CloudSigma::PriceCalculation
- Fog::Compute::CloudSigma::PriceRecord
- Fog::Compute::CloudSigma::Pricing
- Fog::Compute::CloudSigma::Profile
- Fog::Compute::CloudSigma::Real
- Fog::Compute::CloudSigma::Server
- Fog::Compute::CloudSigma::Servers
- Fog::Compute::CloudSigma::Subscription
- Fog::Compute::CloudSigma::Subscriptions
- Fog::Compute::CloudSigma::UsageRecord
- Fog::Compute::CloudSigma::VLAN
- Fog::Compute::CloudSigma::Vlans
- Fog::Compute::CloudSigma::Volume
- Fog::Compute::CloudSigma::Volumes
- Fog::Compute::Cloudstack
- Fog::Compute::Cloudstack::Address
- Fog::Compute::Cloudstack::BadRequest
- Fog::Compute::Cloudstack::DiskOffering
- Fog::Compute::Cloudstack::DiskOfferings
- Fog::Compute::Cloudstack::Flavor
- Fog::Compute::Cloudstack::Flavors
- Fog::Compute::Cloudstack::Image
- Fog::Compute::Cloudstack::Images
- Fog::Compute::Cloudstack::Job
- Fog::Compute::Cloudstack::Jobs
- Fog::Compute::Cloudstack::Mock
- Fog::Compute::Cloudstack::Real
- Fog::Compute::Cloudstack::SecurityGroup
- Fog::Compute::Cloudstack::SecurityGroupRule
- Fog::Compute::Cloudstack::SecurityGroupRules
- Fog::Compute::Cloudstack::SecurityGroups
- Fog::Compute::Cloudstack::Server
- Fog::Compute::Cloudstack::Servers
- Fog::Compute::Cloudstack::Snapshot
- Fog::Compute::Cloudstack::Snapshots
- Fog::Compute::Cloudstack::Unauthorized
- Fog::Compute::Cloudstack::Volume
- Fog::Compute::Cloudstack::Volumes
- Fog::Compute::Cloudstack::Zone
- Fog::Compute::Cloudstack::Zones
- Fog::Compute::DigitalOcean
- Fog::Compute::DigitalOcean::Flavor
- Fog::Compute::DigitalOcean::Flavors
- Fog::Compute::DigitalOcean::Image
- Fog::Compute::DigitalOcean::Images
- Fog::Compute::DigitalOcean::Mock
- Fog::Compute::DigitalOcean::Real
- Fog::Compute::DigitalOcean::Region
- Fog::Compute::DigitalOcean::Regions
- Fog::Compute::DigitalOcean::Server
- Fog::Compute::DigitalOcean::Servers
- Fog::Compute::DigitalOcean::SshKey
- Fog::Compute::DigitalOcean::SshKeys
- Fog::Compute::Ecloud
- Fog::Compute::Ecloud::AdminOrganization
- Fog::Compute::Ecloud::AdminOrganizations
- Fog::Compute::Ecloud::ApiKey
- Fog::Compute::Ecloud::ApiKeys
- Fog::Compute::Ecloud::Association
- Fog::Compute::Ecloud::Associations
- Fog::Compute::Ecloud::AuthenticationLevel
- Fog::Compute::Ecloud::AuthenticationLevels
- Fog::Compute::Ecloud::BackupInternetService
- Fog::Compute::Ecloud::BackupInternetServices
- Fog::Compute::Ecloud::Catalog
- Fog::Compute::Ecloud::CatalogConfiguration
- Fog::Compute::Ecloud::CatalogConfigurations
- Fog::Compute::Ecloud::CatalogItem
- Fog::Compute::Ecloud::ComputePool
- Fog::Compute::Ecloud::ComputePools
- Fog::Compute::Ecloud::CpuUsageDetail
- Fog::Compute::Ecloud::CpuUsageDetailSummary
- Fog::Compute::Ecloud::DetachedDisk
- Fog::Compute::Ecloud::DetachedDisks
- Fog::Compute::Ecloud::Environment
- Fog::Compute::Ecloud::Environments
- Fog::Compute::Ecloud::Environments::Vdcs
- Fog::Compute::Ecloud::FirewallAcl
- Fog::Compute::Ecloud::FirewallAcls
- Fog::Compute::Ecloud::Group
- Fog::Compute::Ecloud::Groups
- Fog::Compute::Ecloud::GuestProcess
- Fog::Compute::Ecloud::GuestProcesses
- Fog::Compute::Ecloud::HardwareConfiguration
- Fog::Compute::Ecloud::HardwareConfigurations
- Fog::Compute::Ecloud::InternetService
- Fog::Compute::Ecloud::InternetServices
- Fog::Compute::Ecloud::IpAddress
- Fog::Compute::Ecloud::IpAddresses
- Fog::Compute::Ecloud::Layout
- Fog::Compute::Ecloud::Layouts
- Fog::Compute::Ecloud::Location
- Fog::Compute::Ecloud::Locations
- Fog::Compute::Ecloud::LoginBanner
- Fog::Compute::Ecloud::LoginBanners
- Fog::Compute::Ecloud::MemoryUsageDetail
- Fog::Compute::Ecloud::MemoryUsageDetailSummary
- Fog::Compute::Ecloud::Mock
- Fog::Compute::Ecloud::Monitor
- Fog::Compute::Ecloud::Monitors
- Fog::Compute::Ecloud::Network
- Fog::Compute::Ecloud::Networks
- Fog::Compute::Ecloud::Node
- Fog::Compute::Ecloud::Nodes
- Fog::Compute::Ecloud::OperatingSystem
- Fog::Compute::Ecloud::OperatingSystemFamilies
- Fog::Compute::Ecloud::OperatingSystemFamily
- Fog::Compute::Ecloud::OperatingSystems
- Fog::Compute::Ecloud::Organization
- Fog::Compute::Ecloud::Organizations
- Fog::Compute::Ecloud::PasswordComplexityRule
- Fog::Compute::Ecloud::PasswordComplexityRules
- Fog::Compute::Ecloud::PhysicalDevice
- Fog::Compute::Ecloud::PhysicalDevices
- Fog::Compute::Ecloud::PublicIp
- Fog::Compute::Ecloud::PublicIps
- Fog::Compute::Ecloud::Real
- Fog::Compute::Ecloud::Rnat
- Fog::Compute::Ecloud::Rnats
- Fog::Compute::Ecloud::Role
- Fog::Compute::Ecloud::Roles
- Fog::Compute::Ecloud::Row
- Fog::Compute::Ecloud::Rows
- Fog::Compute::Ecloud::Server
- Fog::Compute::Ecloud::ServerConfigurationOption
- Fog::Compute::Ecloud::ServerConfigurationOptions
- Fog::Compute::Ecloud::Servers
- Fog::Compute::Ecloud::Shared
- Fog::Compute::Ecloud::SshKey
- Fog::Compute::Ecloud::SshKeys
- Fog::Compute::Ecloud::StorageUsageDetail
- Fog::Compute::Ecloud::StorageUsageDetailSummary
- Fog::Compute::Ecloud::SupportTicket
- Fog::Compute::Ecloud::SupportTickets
- Fog::Compute::Ecloud::Tag
- Fog::Compute::Ecloud::Tags
- Fog::Compute::Ecloud::Task
- Fog::Compute::Ecloud::Tasks
- Fog::Compute::Ecloud::Template
- Fog::Compute::Ecloud::Templates
- Fog::Compute::Ecloud::TrustedNetworkGroup
- Fog::Compute::Ecloud::TrustedNetworkGroups
- Fog::Compute::Ecloud::User
- Fog::Compute::Ecloud::Users
- Fog::Compute::Ecloud::Vdc
- Fog::Compute::Ecloud::VirtualMachineAssignedIp
- Fog::Compute::Ecloud::VirtualMachineAssignedIps
- Fog::Compute::Glesys
- Fog::Compute::Glesys::Ip
- Fog::Compute::Glesys::Ips
- Fog::Compute::Glesys::Mock
- Fog::Compute::Glesys::Real
- Fog::Compute::Glesys::Server
- Fog::Compute::Glesys::Servers
- Fog::Compute::Glesys::Template
- Fog::Compute::Glesys::Templates
- Fog::Compute::GoGrid
- Fog::Compute::GoGrid::BlockInstantiationError
- Fog::Compute::GoGrid::Image
- Fog::Compute::GoGrid::Images
- Fog::Compute::GoGrid::Mock
- Fog::Compute::GoGrid::Password
- Fog::Compute::GoGrid::Passwords
- Fog::Compute::GoGrid::Real
- Fog::Compute::GoGrid::Server
- Fog::Compute::GoGrid::Servers
- Fog::Compute::Google
- Fog::Compute::Google::Disk
- Fog::Compute::Google::Disks
- Fog::Compute::Google::Flavor
- Fog::Compute::Google::Flavors
- Fog::Compute::Google::Image
- Fog::Compute::Google::Images
- Fog::Compute::Google::Mock
- Fog::Compute::Google::Real
- Fog::Compute::Google::Server
- Fog::Compute::Google::Servers
- Fog::Compute::HP
- Fog::Compute::HP::Address
- Fog::Compute::HP::Addresses
- Fog::Compute::HP::Flavor
- Fog::Compute::HP::Flavors
- Fog::Compute::HP::Image
- Fog::Compute::HP::Images
- Fog::Compute::HP::KeyPair
- Fog::Compute::HP::KeyPairs
- Fog::Compute::HP::Meta
- Fog::Compute::HP::MetaParent
- Fog::Compute::HP::Metadata
- Fog::Compute::HP::Mock
- Fog::Compute::HP::Real
- Fog::Compute::HP::SecurityGroup
- Fog::Compute::HP::SecurityGroups
- Fog::Compute::HP::Server
- Fog::Compute::HP::Servers
- Fog::Compute::HP::Utils
- Fog::Compute::IBM
- Fog::Compute::IBM::Address
- Fog::Compute::IBM::Addresses
- Fog::Compute::IBM::Image
- Fog::Compute::IBM::Images
- Fog::Compute::IBM::InstanceType
- Fog::Compute::IBM::InstanceTypes
- Fog::Compute::IBM::Key
- Fog::Compute::IBM::Keys
- Fog::Compute::IBM::Location
- Fog::Compute::IBM::Locations
- Fog::Compute::IBM::Mock
- Fog::Compute::IBM::Real
- Fog::Compute::IBM::Server
- Fog::Compute::IBM::Servers
- Fog::Compute::IBM::Vlan
- Fog::Compute::IBM::Vlans
- Fog::Compute::Joyent
- Fog::Compute::Joyent::Errors
- Fog::Compute::Joyent::Errors::BadRequest
- Fog::Compute::Joyent::Errors::Conflict
- Fog::Compute::Joyent::Errors::Forbidden
- Fog::Compute::Joyent::Errors::MessageParserMixin
- Fog::Compute::Joyent::Errors::MethodNotAllowed
- Fog::Compute::Joyent::Errors::NotAcceptable
- Fog::Compute::Joyent::Errors::NotFound
- Fog::Compute::Joyent::Errors::PolicyNotForfilled
- Fog::Compute::Joyent::Errors::RequestEntityTooLarge
- Fog::Compute::Joyent::Errors::RetryWith
- Fog::Compute::Joyent::Errors::ServiceUnavailable
- Fog::Compute::Joyent::Errors::Unauthorized
- Fog::Compute::Joyent::Errors::UnsupportedMediaType
- Fog::Compute::Joyent::Flavor
- Fog::Compute::Joyent::Flavors
- Fog::Compute::Joyent::Image
- Fog::Compute::Joyent::Images
- Fog::Compute::Joyent::Key
- Fog::Compute::Joyent::Keys
- Fog::Compute::Joyent::Mock
- Fog::Compute::Joyent::Network
- Fog::Compute::Joyent::Networks
- Fog::Compute::Joyent::Real
- Fog::Compute::Joyent::Server
- Fog::Compute::Joyent::Servers
- Fog::Compute::Joyent::Snapshot
- Fog::Compute::Joyent::Snapshots
- Fog::Compute::Libvirt
- Fog::Compute::Libvirt::Interface
- Fog::Compute::Libvirt::Interfaces
- Fog::Compute::Libvirt::Mock
- Fog::Compute::Libvirt::Network
- Fog::Compute::Libvirt::Networks
- Fog::Compute::Libvirt::Nic
- Fog::Compute::Libvirt::Nics
- Fog::Compute::Libvirt::Node
- Fog::Compute::Libvirt::Nodes
- Fog::Compute::Libvirt::Pool
- Fog::Compute::Libvirt::Pools
- Fog::Compute::Libvirt::Real
- Fog::Compute::Libvirt::Server
- Fog::Compute::Libvirt::Servers
- Fog::Compute::Libvirt::Shared
- Fog::Compute::Libvirt::Volume
- Fog::Compute::Libvirt::Volumes
- Fog::Compute::LibvirtUtil
- Fog::Compute::LibvirtUtil::URI
- Fog::Compute::Linode
- Fog::Compute::Linode::DataCenter
- Fog::Compute::Linode::DataCenters
- Fog::Compute::Linode::Disk
- Fog::Compute::Linode::Disks
- Fog::Compute::Linode::Flavor
- Fog::Compute::Linode::Flavors
- Fog::Compute::Linode::Image
- Fog::Compute::Linode::Images
- Fog::Compute::Linode::Ip
- Fog::Compute::Linode::Ips
- Fog::Compute::Linode::Kernel
- Fog::Compute::Linode::Kernels
- Fog::Compute::Linode::Mock
- Fog::Compute::Linode::Real
- Fog::Compute::Linode::Server
- Fog::Compute::Linode::Servers
- Fog::Compute::Linode::StackScript
- Fog::Compute::Linode::StackScripts
- Fog::Compute::Ninefold
- Fog::Compute::Ninefold::Address
- Fog::Compute::Ninefold::Addresses
- Fog::Compute::Ninefold::Flavor
- Fog::Compute::Ninefold::Flavors
- Fog::Compute::Ninefold::Image
- Fog::Compute::Ninefold::Images
- Fog::Compute::Ninefold::IpForwardingRule
- Fog::Compute::Ninefold::IpForwardingRules
- Fog::Compute::Ninefold::Mock
- Fog::Compute::Ninefold::Real
- Fog::Compute::Ninefold::Server
- Fog::Compute::Ninefold::Servers
- Fog::Compute::OpenStack
- Fog::Compute::OpenStack::Address
- Fog::Compute::OpenStack::Addresses
- Fog::Compute::OpenStack::Flavor
- Fog::Compute::OpenStack::Flavors
- Fog::Compute::OpenStack::Host
- Fog::Compute::OpenStack::Hosts
- Fog::Compute::OpenStack::Image
- Fog::Compute::OpenStack::Images
- Fog::Compute::OpenStack::KeyPair
- Fog::Compute::OpenStack::KeyPairs
- Fog::Compute::OpenStack::MetaParent
- Fog::Compute::OpenStack::Metadata
- Fog::Compute::OpenStack::Metadatum
- Fog::Compute::OpenStack::Mock
- Fog::Compute::OpenStack::Network
- Fog::Compute::OpenStack::Networks
- Fog::Compute::OpenStack::Real
- Fog::Compute::OpenStack::SecurityGroup
- Fog::Compute::OpenStack::SecurityGroups
- Fog::Compute::OpenStack::Server
- Fog::Compute::OpenStack::Servers
- Fog::Compute::OpenStack::Snapshot
- Fog::Compute::OpenStack::Snapshots
- Fog::Compute::OpenStack::Tenant
- Fog::Compute::OpenStack::Tenants
- Fog::Compute::OpenStack::Volume
- Fog::Compute::OpenStack::Volumes
- Fog::Compute::Openvz
- Fog::Compute::Openvz::Mock
- Fog::Compute::Openvz::Real
- Fog::Compute::Openvz::Server
- Fog::Compute::Openvz::Servers
- Fog::Compute::Ovirt
- Fog::Compute::Ovirt::Cluster
- Fog::Compute::Ovirt::Clusters
- Fog::Compute::Ovirt::Interface
- Fog::Compute::Ovirt::Interfaces
- Fog::Compute::Ovirt::Mock
- Fog::Compute::Ovirt::Quota
- Fog::Compute::Ovirt::Quotas
- Fog::Compute::Ovirt::Real
- Fog::Compute::Ovirt::Server
- Fog::Compute::Ovirt::Servers
- Fog::Compute::Ovirt::Shared
- Fog::Compute::Ovirt::Template
- Fog::Compute::Ovirt::Templates
- Fog::Compute::Ovirt::Volume
- Fog::Compute::Ovirt::Volumes
- Fog::Compute::Rackspace
- Fog::Compute::Rackspace::Flavor
- Fog::Compute::Rackspace::Flavors
- Fog::Compute::Rackspace::Image
- Fog::Compute::Rackspace::Images
- Fog::Compute::Rackspace::Mock
- Fog::Compute::Rackspace::Real
- Fog::Compute::Rackspace::Server
- Fog::Compute::Rackspace::Servers
- Fog::Compute::RackspaceV2
- Fog::Compute::RackspaceV2::Attachment
- Fog::Compute::RackspaceV2::Attachments
- Fog::Compute::RackspaceV2::BadRequest
- Fog::Compute::RackspaceV2::Flavor
- Fog::Compute::RackspaceV2::Flavors
- Fog::Compute::RackspaceV2::Image
- Fog::Compute::RackspaceV2::Images
- Fog::Compute::RackspaceV2::InternalServerError
- Fog::Compute::RackspaceV2::InvalidImageStateException
- Fog::Compute::RackspaceV2::InvalidServerStateException
- Fog::Compute::RackspaceV2::InvalidStateException
- Fog::Compute::RackspaceV2::MetaParent
- Fog::Compute::RackspaceV2::Metadata
- Fog::Compute::RackspaceV2::Metadatum
- Fog::Compute::RackspaceV2::Mock
- Fog::Compute::RackspaceV2::Network
- Fog::Compute::RackspaceV2::Networks
- Fog::Compute::RackspaceV2::Real
- Fog::Compute::RackspaceV2::Server
- Fog::Compute::RackspaceV2::Servers
- Fog::Compute::RackspaceV2::ServiceError
- Fog::Compute::Server
- Fog::Compute::Serverlove
- Fog::Compute::Serverlove::Image
- Fog::Compute::Serverlove::Images
- Fog::Compute::Serverlove::Mock
- Fog::Compute::Serverlove::PasswordGenerator
- Fog::Compute::Serverlove::Real
- Fog::Compute::Serverlove::Server
- Fog::Compute::Serverlove::Servers
- Fog::Compute::StormOnDemand
- Fog::Compute::StormOnDemand::Config
- Fog::Compute::StormOnDemand::Configs
- Fog::Compute::StormOnDemand::Image
- Fog::Compute::StormOnDemand::Images
- Fog::Compute::StormOnDemand::Mock
- Fog::Compute::StormOnDemand::Notification
- Fog::Compute::StormOnDemand::Notifications
- Fog::Compute::StormOnDemand::Product
- Fog::Compute::StormOnDemand::Products
- Fog::Compute::StormOnDemand::Real
- Fog::Compute::StormOnDemand::Server
- Fog::Compute::StormOnDemand::Servers
- Fog::Compute::StormOnDemand::Template
- Fog::Compute::StormOnDemand::Templates
- Fog::Compute::Vmfusion
- Fog::Compute::Vmfusion::Mock
- Fog::Compute::Vmfusion::Real
- Fog::Compute::Vmfusion::Server
- Fog::Compute::Vmfusion::Servers
- Fog::Compute::Voxel
- Fog::Compute::Voxel::Image
- Fog::Compute::Voxel::Images
- Fog::Compute::Voxel::Mock
- Fog::Compute::Voxel::Real
- Fog::Compute::Voxel::Server
- Fog::Compute::Voxel::Servers
- Fog::Compute::Vsphere
- Fog::Compute::Vsphere::Cluster
- Fog::Compute::Vsphere::Clusters
- Fog::Compute::Vsphere::Customfield
- Fog::Compute::Vsphere::Customfields
- Fog::Compute::Vsphere::Customvalue
- Fog::Compute::Vsphere::Customvalues
- Fog::Compute::Vsphere::Datacenter
- Fog::Compute::Vsphere::Datacenters
- Fog::Compute::Vsphere::Datastore
- Fog::Compute::Vsphere::Datastores
- Fog::Compute::Vsphere::Folder
- Fog::Compute::Vsphere::Folders
- Fog::Compute::Vsphere::Interface
- Fog::Compute::Vsphere::Interfaces
- Fog::Compute::Vsphere::Mock
- Fog::Compute::Vsphere::Network
- Fog::Compute::Vsphere::Networks
- Fog::Compute::Vsphere::Real
- Fog::Compute::Vsphere::ResourcePool
- Fog::Compute::Vsphere::ResourcePools
- Fog::Compute::Vsphere::Server
- Fog::Compute::Vsphere::Servers
- Fog::Compute::Vsphere::Shared
- Fog::Compute::Vsphere::Template
- Fog::Compute::Vsphere::Templates
- Fog::Compute::Vsphere::Volume
- Fog::Compute::Vsphere::Volumes
- Fog::Compute::XenServer
- Fog::Compute::XenServer::GuestMetrics
- Fog::Compute::XenServer::Host
- Fog::Compute::XenServer::HostCpu
- Fog::Compute::XenServer::HostMetrics
- Fog::Compute::XenServer::Hosts
- Fog::Compute::XenServer::Mock
- Fog::Compute::XenServer::Network
- Fog::Compute::XenServer::Networks
- Fog::Compute::XenServer::PBD
- Fog::Compute::XenServer::PIF
- Fog::Compute::XenServer::Pbds
- Fog::Compute::XenServer::Pifs
- Fog::Compute::XenServer::Pool
- Fog::Compute::XenServer::Pools
- Fog::Compute::XenServer::Real
- Fog::Compute::XenServer::Server
- Fog::Compute::XenServer::Servers
- Fog::Compute::XenServer::StorageRepositories
- Fog::Compute::XenServer::StorageRepository
- Fog::Compute::XenServer::VBD
- Fog::Compute::XenServer::VDI
- Fog::Compute::XenServer::VIF
- Fog::Compute::XenServer::VLAN
- Fog::Compute::XenServer::VbdMetrics
- Fog::Compute::XenServer::Vbds
- Fog::Compute::XenServer::Vdis
- Fog::Compute::XenServer::Vifs
- Fog::Compute::XenServer::Vlans
- Fog::Connection
- Fog::Core
- Fog::Core::Connection
- Fog::Core::DeprecatedConnectionAccessors
- Fog::CurrentMachine
- Fog::DNS
- Fog::DNS::AWS
- Fog::DNS::AWS::Mock
- Fog::DNS::AWS::Real
- Fog::DNS::AWS::Record
- Fog::DNS::AWS::Records
- Fog::DNS::AWS::Zone
- Fog::DNS::AWS::Zones
- Fog::DNS::Bluebox
- Fog::DNS::Bluebox::Mock
- Fog::DNS::Bluebox::Real
- Fog::DNS::Bluebox::Record
- Fog::DNS::Bluebox::Records
- Fog::DNS::Bluebox::Zone
- Fog::DNS::Bluebox::Zones
- Fog::DNS::DNSMadeEasy
- Fog::DNS::DNSMadeEasy::Mock
- Fog::DNS::DNSMadeEasy::Real
- Fog::DNS::DNSMadeEasy::Record
- Fog::DNS::DNSMadeEasy::Records
- Fog::DNS::DNSMadeEasy::Zone
- Fog::DNS::DNSMadeEasy::Zones
- Fog::DNS::DNSimple
- Fog::DNS::DNSimple::Mock
- Fog::DNS::DNSimple::Real
- Fog::DNS::DNSimple::Record
- Fog::DNS::DNSimple::Records
- Fog::DNS::DNSimple::Zone
- Fog::DNS::DNSimple::Zones
- Fog::DNS::Dreamhost
- Fog::DNS::Dreamhost::Mock
- Fog::DNS::Dreamhost::Real
- Fog::DNS::Dreamhost::Record
- Fog::DNS::Dreamhost::Records
- Fog::DNS::Dreamhost::Zone
- Fog::DNS::Dreamhost::Zones
- Fog::DNS::Dynect
- Fog::DNS::Dynect::JobIncomplete
- Fog::DNS::Dynect::Mock
- Fog::DNS::Dynect::Real
- Fog::DNS::Dynect::Record
- Fog::DNS::Dynect::Records
- Fog::DNS::Dynect::Zone
- Fog::DNS::Dynect::Zones
- Fog::DNS::Linode
- Fog::DNS::Linode::Mock
- Fog::DNS::Linode::Real
- Fog::DNS::Linode::Record
- Fog::DNS::Linode::Records
- Fog::DNS::Linode::Zone
- Fog::DNS::Linode::Zones
- Fog::DNS::Rackspace
- Fog::DNS::Rackspace::BadRequest
- Fog::DNS::Rackspace::Callback
- Fog::DNS::Rackspace::CallbackError
- Fog::DNS::Rackspace::Conflict
- Fog::DNS::Rackspace::InternalServerError
- Fog::DNS::Rackspace::Mock
- Fog::DNS::Rackspace::Real
- Fog::DNS::Rackspace::Record
- Fog::DNS::Rackspace::Records
- Fog::DNS::Rackspace::ServiceError
- Fog::DNS::Rackspace::ServiceUnavailable
- Fog::DNS::Rackspace::Zone
- Fog::DNS::Rackspace::Zones
- Fog::DNS::StormOnDemand
- Fog::DNS::StormOnDemand::Domain
- Fog::DNS::StormOnDemand::Domains
- Fog::DNS::StormOnDemand::Mock
- Fog::DNS::StormOnDemand::Real
- Fog::DNS::StormOnDemand::Record
- Fog::DNS::StormOnDemand::Records
- Fog::DNS::StormOnDemand::Reverse
- Fog::DNS::StormOnDemand::Reverses
- Fog::DNS::StormOnDemand::Zone
- Fog::DNS::StormOnDemand::Zones
- Fog::DNS::Zerigo
- Fog::DNS::Zerigo::Mock
- Fog::DNS::Zerigo::Real
- Fog::DNS::Zerigo::Record
- Fog::DNS::Zerigo::Records
- Fog::DNS::Zerigo::Zone
- Fog::DNS::Zerigo::Zones
- Fog::DNSMadeEasy
- Fog::DNSimple
- Fog::Deprecation
- Fog::DigitalOcean
- Fog::Dreamhost
- Fog::Dynect
- Fog::Dynect::Mock
- Fog::Ecloud
- Fog::Ecloud::Collection
- Fog::Ecloud::MockDataClasses
- Fog::Ecloud::MockDataClasses::Base
- Fog::Ecloud::MockDataClasses::MockBackupInternetService
- Fog::Ecloud::MockDataClasses::MockCatalog
- Fog::Ecloud::MockDataClasses::MockCatalogItem
- Fog::Ecloud::MockDataClasses::MockCatalogItemCustomization
- Fog::Ecloud::MockDataClasses::MockCatalogItemVappTemplate
- Fog::Ecloud::MockDataClasses::MockData
- Fog::Ecloud::MockDataClasses::MockFirewallAcls
- Fog::Ecloud::MockDataClasses::MockNetwork
- Fog::Ecloud::MockDataClasses::MockNetworkExtensions
- Fog::Ecloud::MockDataClasses::MockNetworkIp
- Fog::Ecloud::MockDataClasses::MockNetworkIps
- Fog::Ecloud::MockDataClasses::MockOrganization
- Fog::Ecloud::MockDataClasses::MockPublicIp
- Fog::Ecloud::MockDataClasses::MockPublicIpInternetService
- Fog::Ecloud::MockDataClasses::MockPublicIpInternetServiceNode
- Fog::Ecloud::MockDataClasses::MockPublicIpInternetServiceNodes
- Fog::Ecloud::MockDataClasses::MockPublicIpInternetServices
- Fog::Ecloud::MockDataClasses::MockPublicIps
- Fog::Ecloud::MockDataClasses::MockTaskList
- Fog::Ecloud::MockDataClasses::MockVdc
- Fog::Ecloud::MockDataClasses::MockVdcInternetServices
- Fog::Ecloud::MockDataClasses::MockVersion
- Fog::Ecloud::MockDataClasses::MockVirtualMachine
- Fog::Ecloud::MockDataClasses::MockVirtualMachineDisk
- Fog::Ecloud::MockDataClasses::MockVirtualMachineDisks
- Fog::Ecloud::Model
- Fog::Errors
- Fog::Errors::Error
- Fog::Errors::LoadError
- Fog::Errors::MockNotImplemented
- Fog::Errors::NotFound
- Fog::Errors::NotImplemented
- Fog::Errors::TimeoutError
- Fog::Glesys
- Fog::GoGrid
- Fog::Google
- Fog::Google::Mock
- Fog::Google::Storage
- Fog::Google::Storage::Mock
- Fog::Google::Storage::Real
- Fog::HMAC
- Fog::HP
- Fog::HP::BlockStorage
- Fog::HP::BlockStorage::BootableVolumes
- Fog::HP::BlockStorage::Mock
- Fog::HP::BlockStorage::Real
- Fog::HP::BlockStorage::Snapshot
- Fog::HP::BlockStorage::Snapshots
- Fog::HP::BlockStorage::Utils
- Fog::HP::BlockStorage::Volume
- Fog::HP::BlockStorage::Volumes
- Fog::HP::Errors
- Fog::HP::Errors::BadRequest
- Fog::HP::Errors::Conflict
- Fog::HP::Errors::Forbidden
- Fog::HP::Errors::InternalServerError
- Fog::HP::Errors::NotFound
- Fog::HP::Errors::ServiceError
- Fog::HP::Errors::ServiceUnavailable
- Fog::HP::Mock
- Fog::IBM
- Fog::IBM::Connection
- Fog::IBM::Mock
- Fog::Identity
- Fog::Identity::OpenStack
- Fog::Identity::OpenStack::Ec2Credential
- Fog::Identity::OpenStack::Ec2Credentials
- Fog::Identity::OpenStack::Mock
- Fog::Identity::OpenStack::Real
- Fog::Identity::OpenStack::Role
- Fog::Identity::OpenStack::Roles
- Fog::Identity::OpenStack::Tenant
- Fog::Identity::OpenStack::Tenants
- Fog::Identity::OpenStack::User
- Fog::Identity::OpenStack::Users
- Fog::Image
- Fog::Image::OpenStack
- Fog::Image::OpenStack::Image
- Fog::Image::OpenStack::Images
- Fog::Image::OpenStack::Mock
- Fog::Image::OpenStack::Real
- Fog::InternetArchive
- Fog::InternetArchive::Mock
- Fog::InternetArchive::SignatureV4
- Fog::JSON
- Fog::Joyent
- Fog::Libvirt
- Fog::Linode
- Fog::Local
- Fog::Logger
- Fog::Metering
- Fog::Metering::OpenStack
- Fog::Metering::OpenStack::Mock
- Fog::Metering::OpenStack::Real
- Fog::Metering::OpenStack::Resource
- Fog::Metering::OpenStack::Resources
- Fog::Mock
- Fog::Model
- Fog::Monitoring
- Fog::Monitoring::StormOnDemand
- Fog::Monitoring::StormOnDemand::Bandwidth
- Fog::Monitoring::StormOnDemand::Bandwidths
- Fog::Monitoring::StormOnDemand::Load
- Fog::Monitoring::StormOnDemand::Loads
- Fog::Monitoring::StormOnDemand::Mock
- Fog::Monitoring::StormOnDemand::MonitorService
- Fog::Monitoring::StormOnDemand::MonitorServices
- Fog::Monitoring::StormOnDemand::Real
- Fog::Network
- Fog::Network::OpenStack
- Fog::Network::OpenStack::FloatingIp
- Fog::Network::OpenStack::FloatingIps
- Fog::Network::OpenStack::LbHealthMonitor
- Fog::Network::OpenStack::LbHealthMonitors
- Fog::Network::OpenStack::LbMember
- Fog::Network::OpenStack::LbMembers
- Fog::Network::OpenStack::LbPool
- Fog::Network::OpenStack::LbPools
- Fog::Network::OpenStack::LbVip
- Fog::Network::OpenStack::LbVips
- Fog::Network::OpenStack::Mock
- Fog::Network::OpenStack::Network
- Fog::Network::OpenStack::Networks
- Fog::Network::OpenStack::Port
- Fog::Network::OpenStack::Ports
- Fog::Network::OpenStack::Real
- Fog::Network::OpenStack::Router
- Fog::Network::OpenStack::Routers
- Fog::Network::OpenStack::Subnet
- Fog::Network::OpenStack::Subnets
- Fog::Network::StormOnDemand
- Fog::Network::StormOnDemand::Balancer
- Fog::Network::StormOnDemand::Balancers
- Fog::Network::StormOnDemand::Firewall
- Fog::Network::StormOnDemand::Firewalls
- Fog::Network::StormOnDemand::Mock
- Fog::Network::StormOnDemand::NetworkIP
- Fog::Network::StormOnDemand::NetworkIPs
- Fog::Network::StormOnDemand::Pool
- Fog::Network::StormOnDemand::Pools
- Fog::Network::StormOnDemand::PrivateIp
- Fog::Network::StormOnDemand::PrivateIps
- Fog::Network::StormOnDemand::Real
- Fog::Network::StormOnDemand::Ruleset
- Fog::Network::StormOnDemand::Rulesets
- Fog::Network::StormOnDemand::Zone
- Fog::Network::StormOnDemand::Zones
- Fog::Ninefold
- Fog::OpenStack
- Fog::OpenStack::Errors
- Fog::OpenStack::Errors::BadRequest
- Fog::OpenStack::Errors::ServiceError
- Fog::OpenStack::Errors::ServiceUnavailable
- Fog::Openvz
- Fog::Ovirt
- Fog::Ovirt::Errors
- Fog::Ovirt::Errors::NotFound
- Fog::Ovirt::Errors::SecurityError
- Fog::Ovirt::Errors::ServiceError
- Fog::Parsers
- Fog::Parsers::AWS
- Fog::Parsers::AWS::AutoScaling
- Fog::Parsers::AWS::AutoScaling::Basic
- Fog::Parsers::AWS::AutoScaling::DescribeAdjustmentTypes
- Fog::Parsers::AWS::AutoScaling::DescribeAutoScalingGroups
- Fog::Parsers::AWS::AutoScaling::DescribeAutoScalingInstances
- Fog::Parsers::AWS::AutoScaling::DescribeAutoScalingNotificationTypes
- Fog::Parsers::AWS::AutoScaling::DescribeLaunchConfigurations
- Fog::Parsers::AWS::AutoScaling::DescribeMetricCollectionTypes
- Fog::Parsers::AWS::AutoScaling::DescribeNotificationConfigurations
- Fog::Parsers::AWS::AutoScaling::DescribePolicies
- Fog::Parsers::AWS::AutoScaling::DescribeScalingActivities
- Fog::Parsers::AWS::AutoScaling::DescribeScalingProcessTypes
- Fog::Parsers::AWS::AutoScaling::DescribeScheduledActions
- Fog::Parsers::AWS::AutoScaling::DescribeTags
- Fog::Parsers::AWS::AutoScaling::DescribeTerminationPolicyTypes
- Fog::Parsers::AWS::AutoScaling::PutNotificationConfiguration
- Fog::Parsers::AWS::AutoScaling::PutScalingPolicy
- Fog::Parsers::AWS::AutoScaling::TerminateInstanceInAutoScalingGroup
- Fog::Parsers::AWS::CloudFormation
- Fog::Parsers::AWS::CloudFormation::Basic
- Fog::Parsers::AWS::CloudFormation::CreateStack
- Fog::Parsers::AWS::CloudFormation::DescribeStackEvents
- Fog::Parsers::AWS::CloudFormation::DescribeStackResources
- Fog::Parsers::AWS::CloudFormation::DescribeStacks
- Fog::Parsers::AWS::CloudFormation::GetTemplate
- Fog::Parsers::AWS::CloudFormation::ListStackResources
- Fog::Parsers::AWS::CloudFormation::ListStacks
- Fog::Parsers::AWS::CloudFormation::UpdateStack
- Fog::Parsers::AWS::CloudFormation::ValidateTemplate
- Fog::Parsers::AWS::CloudWatch
- Fog::Parsers::AWS::CloudWatch::DeleteAlarms
- Fog::Parsers::AWS::CloudWatch::DescribeAlarmHistory
- Fog::Parsers::AWS::CloudWatch::DescribeAlarms
- Fog::Parsers::AWS::CloudWatch::DescribeAlarmsForMetric
- Fog::Parsers::AWS::CloudWatch::DisableAlarmActions
- Fog::Parsers::AWS::CloudWatch::EnableAlarmActions
- Fog::Parsers::AWS::CloudWatch::GetMetricStatistics
- Fog::Parsers::AWS::CloudWatch::ListMetrics
- Fog::Parsers::AWS::CloudWatch::PutMetricAlarm
- Fog::Parsers::AWS::CloudWatch::PutMetricData
- Fog::Parsers::AWS::CloudWatch::SetAlarmState
- Fog::Parsers::AWS::ELB
- Fog::Parsers::AWS::ELB::ApplySecurityGroupsToLoadBalancer
- Fog::Parsers::AWS::ELB::AttachLoadBalancerToSubnets
- Fog::Parsers::AWS::ELB::ConfigureHealthCheck
- Fog::Parsers::AWS::ELB::CreateLoadBalancer
- Fog::Parsers::AWS::ELB::DeleteLoadBalancer
- Fog::Parsers::AWS::ELB::DeregisterInstancesFromLoadBalancer
- Fog::Parsers::AWS::ELB::DescribeInstanceHealth
- Fog::Parsers::AWS::ELB::DescribeLoadBalancerPolicies
- Fog::Parsers::AWS::ELB::DescribeLoadBalancerPolicyTypes
- Fog::Parsers::AWS::ELB::DescribeLoadBalancers
- Fog::Parsers::AWS::ELB::DetachLoadBalancerFromSubnets
- Fog::Parsers::AWS::ELB::DisableAvailabilityZonesForLoadBalancer
- Fog::Parsers::AWS::ELB::Empty
- Fog::Parsers::AWS::ELB::EnableAvailabilityZonesForLoadBalancer
- Fog::Parsers::AWS::ELB::RegisterInstancesWithLoadBalancer
- Fog::Parsers::AWS::EMR
- Fog::Parsers::AWS::EMR::AddInstanceGroups
- Fog::Parsers::AWS::EMR::AddJobFlowSteps
- Fog::Parsers::AWS::EMR::DescribeJobFlows
- Fog::Parsers::AWS::EMR::ModifyInstanceGroups
- Fog::Parsers::AWS::EMR::RunJobFlow
- Fog::Parsers::AWS::EMR::SetTerminationProtection
- Fog::Parsers::AWS::EMR::TerminateJobFlows
- Fog::Parsers::AWS::ElasticBeanstalk
- Fog::Parsers::AWS::ElasticBeanstalk::BaseParser
- Fog::Parsers::AWS::ElasticBeanstalk::CheckDNSAvailability
- Fog::Parsers::AWS::ElasticBeanstalk::CreateApplication
- Fog::Parsers::AWS::ElasticBeanstalk::CreateApplicationVersion
- Fog::Parsers::AWS::ElasticBeanstalk::CreateConfigurationTemplate
- Fog::Parsers::AWS::ElasticBeanstalk::CreateEnvironment
- Fog::Parsers::AWS::ElasticBeanstalk::CreateStorageLocation
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeApplicationVersions
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeApplications
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeConfigurationOptions
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeConfigurationSettings
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeEnvironmentResources
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeEnvironments
- Fog::Parsers::AWS::ElasticBeanstalk::DescribeEvents
- Fog::Parsers::AWS::ElasticBeanstalk::Empty
- Fog::Parsers::AWS::ElasticBeanstalk::ListAvailableSolutionStacks
- Fog::Parsers::AWS::ElasticBeanstalk::RetrieveEnvironmentInfo
- Fog::Parsers::AWS::ElasticBeanstalk::TerminateEnvironment
- Fog::Parsers::AWS::ElasticBeanstalk::UpdateApplication
- Fog::Parsers::AWS::ElasticBeanstalk::UpdateApplicationVersion
- Fog::Parsers::AWS::ElasticBeanstalk::UpdateConfigurationTemplate
- Fog::Parsers::AWS::ElasticBeanstalk::UpdateEnvironment
- Fog::Parsers::AWS::ElasticBeanstalk::ValidateConfigurationSettings
- Fog::Parsers::AWS::Elasticache
- Fog::Parsers::AWS::Elasticache::AuthorizeCacheSecurityGroupIngress
- Fog::Parsers::AWS::Elasticache::Base
- Fog::Parsers::AWS::Elasticache::CacheClusterParser
- Fog::Parsers::AWS::Elasticache::DescribeCacheClusters
- Fog::Parsers::AWS::Elasticache::DescribeCacheParameters
- Fog::Parsers::AWS::Elasticache::DescribeEngineDefaultParameters
- Fog::Parsers::AWS::Elasticache::DescribeParameterGroups
- Fog::Parsers::AWS::Elasticache::DescribeReservedCacheNodes
- Fog::Parsers::AWS::Elasticache::DescribeSecurityGroups
- Fog::Parsers::AWS::Elasticache::EngineDefaultsParser
- Fog::Parsers::AWS::Elasticache::EventListParser
- Fog::Parsers::AWS::Elasticache::ModifyParameterGroup
- Fog::Parsers::AWS::Elasticache::ParameterGroupParser
- Fog::Parsers::AWS::Elasticache::ResetParameterGroup
- Fog::Parsers::AWS::Elasticache::SecurityGroupParser
- Fog::Parsers::AWS::Elasticache::SingleCacheCluster
- Fog::Parsers::AWS::Elasticache::SingleParameterGroup
- Fog::Parsers::AWS::Elasticache::SingleSecurityGroup
- Fog::Parsers::AWS::IAM
- Fog::Parsers::AWS::IAM::BaseInstanceProfile
- Fog::Parsers::AWS::IAM::Basic
- Fog::Parsers::AWS::IAM::CreateAccessKey
- Fog::Parsers::AWS::IAM::CreateGroup
- Fog::Parsers::AWS::IAM::CreateUser
- Fog::Parsers::AWS::IAM::GetGroup
- Fog::Parsers::AWS::IAM::GetGroupPolicy
- Fog::Parsers::AWS::IAM::GetRolePolicy
- Fog::Parsers::AWS::IAM::GetUser
- Fog::Parsers::AWS::IAM::GetUserPolicy
- Fog::Parsers::AWS::IAM::InstanceProfile
- Fog::Parsers::AWS::IAM::ListAccessKeys
- Fog::Parsers::AWS::IAM::ListAccountAliases
- Fog::Parsers::AWS::IAM::ListGroups
- Fog::Parsers::AWS::IAM::ListGroupsForUser
- Fog::Parsers::AWS::IAM::ListInstanceProfiles
- Fog::Parsers::AWS::IAM::ListPolicies
- Fog::Parsers::AWS::IAM::ListRoles
- Fog::Parsers::AWS::IAM::ListServerCertificates
- Fog::Parsers::AWS::IAM::ListSigningCertificates
- Fog::Parsers::AWS::IAM::ListUsers
- Fog::Parsers::AWS::IAM::LoginProfile
- Fog::Parsers::AWS::IAM::RoleParser
- Fog::Parsers::AWS::IAM::SingleRole
- Fog::Parsers::AWS::IAM::UpdateGroup
- Fog::Parsers::AWS::IAM::UpdateUser
- Fog::Parsers::AWS::IAM::UploadServerCertificate
- Fog::Parsers::AWS::IAM::UploadSigningCertificate
- Fog::Parsers::AWS::RDS
- Fog::Parsers::AWS::RDS::AuthorizeDBSecurityGroupIngress
- Fog::Parsers::AWS::RDS::Base
- Fog::Parsers::AWS::RDS::CreateDBInstance
- Fog::Parsers::AWS::RDS::CreateDBInstanceReadReplica
- Fog::Parsers::AWS::RDS::CreateDBSecurityGroup
- Fog::Parsers::AWS::RDS::CreateDBSnapshot
- Fog::Parsers::AWS::RDS::CreateDBSubnetGroup
- Fog::Parsers::AWS::RDS::CreateDbParameterGroup
- Fog::Parsers::AWS::RDS::DBEngineVersionParser
- Fog::Parsers::AWS::RDS::DbParser
- Fog::Parsers::AWS::RDS::DeleteDBInstance
- Fog::Parsers::AWS::RDS::DeleteDBSecurityGroup
- Fog::Parsers::AWS::RDS::DeleteDBSnapshot
- Fog::Parsers::AWS::RDS::DeleteDbParameterGroup
- Fog::Parsers::AWS::RDS::DescribeDBEngineVersions
- Fog::Parsers::AWS::RDS::DescribeDBInstances
- Fog::Parsers::AWS::RDS::DescribeDBLogFiles
- Fog::Parsers::AWS::RDS::DescribeDBParameterGroups
- Fog::Parsers::AWS::RDS::DescribeDBParameters
- Fog::Parsers::AWS::RDS::DescribeDBReservedInstances
- Fog::Parsers::AWS::RDS::DescribeDBSecurityGroups
- Fog::Parsers::AWS::RDS::DescribeDBSnapshots
- Fog::Parsers::AWS::RDS::DescribeDBSubnetGroups
- Fog::Parsers::AWS::RDS::DownloadDBLogFilePortion
- Fog::Parsers::AWS::RDS::EventListParser
- Fog::Parsers::AWS::RDS::ModifyDBInstance
- Fog::Parsers::AWS::RDS::ModifyDbParameterGroup
- Fog::Parsers::AWS::RDS::RebootDBInstance
- Fog::Parsers::AWS::RDS::RestoreDBInstanceFromDBSnapshot
- Fog::Parsers::AWS::RDS::RestoreDBInstanceToPointInTime
- Fog::Parsers::AWS::RDS::RevokeDBSecurityGroupIngress
- Fog::Parsers::AWS::RDS::SecurityGroupParser
- Fog::Parsers::AWS::RDS::SnapshotParser
- Fog::Parsers::AWS::RDS::SubnetGroupParser
- Fog::Parsers::AWS::RDS::TagListParser
- Fog::Parsers::AWS::SES
- Fog::Parsers::AWS::SES::DeleteVerifiedEmailAddress
- Fog::Parsers::AWS::SES::GetSendQuota
- Fog::Parsers::AWS::SES::GetSendStatistics
- Fog::Parsers::AWS::SES::ListVerifiedEmailAddresses
- Fog::Parsers::AWS::SES::SendEmail
- Fog::Parsers::AWS::SES::SendRawEmail
- Fog::Parsers::AWS::SES::VerifyDomainIdentity
- Fog::Parsers::AWS::SES::VerifyEmailAddress
- Fog::Parsers::AWS::SNS
- Fog::Parsers::AWS::SNS::AddPermission
- Fog::Parsers::AWS::SNS::ConfirmSubscription
- Fog::Parsers::AWS::SNS::CreateTopic
- Fog::Parsers::AWS::SNS::DeleteTopic
- Fog::Parsers::AWS::SNS::GetTopicAttributes
- Fog::Parsers::AWS::SNS::ListSubscriptions
- Fog::Parsers::AWS::SNS::ListTopics
- Fog::Parsers::AWS::SNS::Publish
- Fog::Parsers::AWS::SNS::RemovePermission
- Fog::Parsers::AWS::SNS::SetTopicAttributes
- Fog::Parsers::AWS::SNS::Subscribe
- Fog::Parsers::AWS::SNS::Unsubscribe
- Fog::Parsers::AWS::SQS
- Fog::Parsers::AWS::SQS::Basic
- Fog::Parsers::AWS::SQS::CreateQueue
- Fog::Parsers::AWS::SQS::GetQueueAttributes
- Fog::Parsers::AWS::SQS::ListQueues
- Fog::Parsers::AWS::SQS::ReceiveMessage
- Fog::Parsers::AWS::SQS::SendMessage
- Fog::Parsers::AWS::STS
- Fog::Parsers::AWS::STS::AssumeRole
- Fog::Parsers::AWS::STS::GetSessionToken
- Fog::Parsers::AWS::SimpleDB
- Fog::Parsers::AWS::SimpleDB::Basic
- Fog::Parsers::AWS::SimpleDB::DomainMetadata
- Fog::Parsers::AWS::SimpleDB::GetAttributes
- Fog::Parsers::AWS::SimpleDB::ListDomains
- Fog::Parsers::AWS::SimpleDB::Select
- Fog::Parsers::Base
- Fog::Parsers::CDN
- Fog::Parsers::CDN::AWS
- Fog::Parsers::CDN::AWS::Distribution
- Fog::Parsers::CDN::AWS::GetDistributionList
- Fog::Parsers::CDN::AWS::GetInvalidation
- Fog::Parsers::CDN::AWS::GetInvalidationList
- Fog::Parsers::CDN::AWS::GetStreamingDistributionList
- Fog::Parsers::CDN::AWS::PostInvalidation
- Fog::Parsers::CDN::AWS::StreamingDistribution
- Fog::Parsers::Compute
- Fog::Parsers::Compute::AWS
- Fog::Parsers::Compute::AWS::AllocateAddress
- Fog::Parsers::Compute::AWS::AssociateAddress
- Fog::Parsers::Compute::AWS::AssociateDhcpOptions
- Fog::Parsers::Compute::AWS::AttachInternetGateway
- Fog::Parsers::Compute::AWS::AttachNetworkInterface
- Fog::Parsers::Compute::AWS::AttachVolume
- Fog::Parsers::Compute::AWS::Basic
- Fog::Parsers::Compute::AWS::CancelSpotInstanceRequests
- Fog::Parsers::Compute::AWS::CopyImage
- Fog::Parsers::Compute::AWS::CopySnapshot
- Fog::Parsers::Compute::AWS::CreateDhcpOptions
- Fog::Parsers::Compute::AWS::CreateImage
- Fog::Parsers::Compute::AWS::CreateInternetGateway
- Fog::Parsers::Compute::AWS::CreateKeyPair
- Fog::Parsers::Compute::AWS::CreateNetworkInterface
- Fog::Parsers::Compute::AWS::CreateSecurityGroup
- Fog::Parsers::Compute::AWS::CreateSnapshot
- Fog::Parsers::Compute::AWS::CreateSubnet
- Fog::Parsers::Compute::AWS::CreateVolume
- Fog::Parsers::Compute::AWS::CreateVpc
- Fog::Parsers::Compute::AWS::DeleteDhcpOptions
- Fog::Parsers::Compute::AWS::DeleteInternetGateway
- Fog::Parsers::Compute::AWS::DeleteNetworkInterface
- Fog::Parsers::Compute::AWS::DeleteSubnet
- Fog::Parsers::Compute::AWS::DeleteVpc
- Fog::Parsers::Compute::AWS::DeregisterImage
- Fog::Parsers::Compute::AWS::DescribeAddresses
- Fog::Parsers::Compute::AWS::DescribeAvailabilityZones
- Fog::Parsers::Compute::AWS::DescribeDhcpOptions
- Fog::Parsers::Compute::AWS::DescribeImages
- Fog::Parsers::Compute::AWS::DescribeInstanceStatus
- Fog::Parsers::Compute::AWS::DescribeInstances
- Fog::Parsers::Compute::AWS::DescribeInternetGateways
- Fog::Parsers::Compute::AWS::DescribeKeyPairs
- Fog::Parsers::Compute::AWS::DescribeNetworkInterfaceAttribute
- Fog::Parsers::Compute::AWS::DescribeNetworkInterfaces
- Fog::Parsers::Compute::AWS::DescribePlacementGroups
- Fog::Parsers::Compute::AWS::DescribeRegions
- Fog::Parsers::Compute::AWS::DescribeReservedInstances
- Fog::Parsers::Compute::AWS::DescribeReservedInstancesOfferings
- Fog::Parsers::Compute::AWS::DescribeSecurityGroups
- Fog::Parsers::Compute::AWS::DescribeSnapshots
- Fog::Parsers::Compute::AWS::DescribeSpotPriceHistory
- Fog::Parsers::Compute::AWS::DescribeSubnets
- Fog::Parsers::Compute::AWS::DescribeTags
- Fog::Parsers::Compute::AWS::DescribeVolumeStatus
- Fog::Parsers::Compute::AWS::DescribeVolumes
- Fog::Parsers::Compute::AWS::DescribeVpcs
- Fog::Parsers::Compute::AWS::DetachInternetGateway
- Fog::Parsers::Compute::AWS::DetachNetworkInterface
- Fog::Parsers::Compute::AWS::DetachVolume
- Fog::Parsers::Compute::AWS::GetConsoleOutput
- Fog::Parsers::Compute::AWS::GetPasswordData
- Fog::Parsers::Compute::AWS::ImportKeyPair
- Fog::Parsers::Compute::AWS::MonitorUnmonitorInstances
- Fog::Parsers::Compute::AWS::NetworkInterfaceParser
- Fog::Parsers::Compute::AWS::PurchaseReservedInstancesOffering
- Fog::Parsers::Compute::AWS::RegisterImage
- Fog::Parsers::Compute::AWS::RunInstances
- Fog::Parsers::Compute::AWS::SpotDatafeedSubscription
- Fog::Parsers::Compute::AWS::SpotInstanceRequests
- Fog::Parsers::Compute::AWS::StartStopInstances
- Fog::Parsers::Compute::AWS::TerminateInstances
- Fog::Parsers::Compute::Voxel
- Fog::Parsers::Compute::Voxel::Basic
- Fog::Parsers::Compute::Voxel::DevicesList
- Fog::Parsers::Compute::Voxel::ImagesList
- Fog::Parsers::Compute::Voxel::VoxcloudCreate
- Fog::Parsers::Compute::Voxel::VoxcloudDelete
- Fog::Parsers::Compute::Voxel::VoxcloudStatus
- Fog::Parsers::DNS
- Fog::Parsers::DNS::AWS
- Fog::Parsers::DNS::AWS::ChangeResourceRecordSets
- Fog::Parsers::DNS::AWS::CreateHostedZone
- Fog::Parsers::DNS::AWS::DeleteHostedZone
- Fog::Parsers::DNS::AWS::GetChange
- Fog::Parsers::DNS::AWS::GetHostedZone
- Fog::Parsers::DNS::AWS::ListHostedZones
- Fog::Parsers::DNS::AWS::ListResourceRecordSets
- Fog::Parsers::DNS::Bluebox
- Fog::Parsers::DNS::Bluebox::CreateRecord
- Fog::Parsers::DNS::Bluebox::CreateZone
- Fog::Parsers::DNS::Bluebox::GetRecord
- Fog::Parsers::DNS::Bluebox::GetRecords
- Fog::Parsers::DNS::Bluebox::GetZone
- Fog::Parsers::DNS::Bluebox::GetZones
- Fog::Parsers::DNS::Zerigo
- Fog::Parsers::DNS::Zerigo::CountHosts
- Fog::Parsers::DNS::Zerigo::CountZones
- Fog::Parsers::DNS::Zerigo::CreateHost
- Fog::Parsers::DNS::Zerigo::CreateZone
- Fog::Parsers::DNS::Zerigo::FindHosts
- Fog::Parsers::DNS::Zerigo::GetHost
- Fog::Parsers::DNS::Zerigo::GetZone
- Fog::Parsers::DNS::Zerigo::GetZoneStats
- Fog::Parsers::DNS::Zerigo::ListHosts
- Fog::Parsers::DNS::Zerigo::ListZones
- Fog::Parsers::Storage
- Fog::Parsers::Storage::AWS
- Fog::Parsers::Storage::AWS::AccessControlList
- Fog::Parsers::Storage::AWS::CompleteMultipartUpload
- Fog::Parsers::Storage::AWS::CopyObject
- Fog::Parsers::Storage::AWS::CorsConfiguration
- Fog::Parsers::Storage::AWS::DeleteMultipleObjects
- Fog::Parsers::Storage::AWS::GetBucket
- Fog::Parsers::Storage::AWS::GetBucketLifecycle
- Fog::Parsers::Storage::AWS::GetBucketLocation
- Fog::Parsers::Storage::AWS::GetBucketLogging
- Fog::Parsers::Storage::AWS::GetBucketObjectVersions
- Fog::Parsers::Storage::AWS::GetBucketVersioning
- Fog::Parsers::Storage::AWS::GetBucketWebsite
- Fog::Parsers::Storage::AWS::GetRequestPayment
- Fog::Parsers::Storage::AWS::GetService
- Fog::Parsers::Storage::AWS::InitiateMultipartUpload
- Fog::Parsers::Storage::AWS::ListMultipartUploads
- Fog::Parsers::Storage::AWS::ListParts
- Fog::Parsers::Storage::Google
- Fog::Parsers::Storage::Google::AccessControlList
- Fog::Parsers::Storage::Google::CopyObject
- Fog::Parsers::Storage::Google::GetBucket
- Fog::Parsers::Storage::Google::GetBucketObjectVersions
- Fog::Parsers::Storage::Google::GetBucketVersioning
- Fog::Parsers::Storage::Google::GetRequestPayment
- Fog::Parsers::Storage::Google::GetService
- Fog::Parsers::Storage::InternetArchive
- Fog::Parsers::Storage::InternetArchive::AccessControlList
- Fog::Parsers::Storage::InternetArchive::CompleteMultipartUpload
- Fog::Parsers::Storage::InternetArchive::CopyObject
- Fog::Parsers::Storage::InternetArchive::CorsConfiguration
- Fog::Parsers::Storage::InternetArchive::DeleteMultipleObjects
- Fog::Parsers::Storage::InternetArchive::GetBucket
- Fog::Parsers::Storage::InternetArchive::GetBucketLifecycle
- Fog::Parsers::Storage::InternetArchive::GetBucketLocation
- Fog::Parsers::Storage::InternetArchive::GetBucketLogging
- Fog::Parsers::Storage::InternetArchive::GetBucketWebsite
- Fog::Parsers::Storage::InternetArchive::GetRequestPayment
- Fog::Parsers::Storage::InternetArchive::GetService
- Fog::Parsers::Storage::InternetArchive::InitiateMultipartUpload
- Fog::Parsers::Storage::InternetArchive::ListMultipartUploads
- Fog::Parsers::Storage::InternetArchive::ListParts
- Fog::Parsers::Terremark
- Fog::Parsers::Terremark::Shared
- Fog::Parsers::Terremark::Shared::GetCatalog
- Fog::Parsers::Terremark::Shared::GetCatalogItem
- Fog::Parsers::Terremark::Shared::GetInternetServices
- Fog::Parsers::Terremark::Shared::GetKeysList
- Fog::Parsers::Terremark::Shared::GetNetworkIps
- Fog::Parsers::Terremark::Shared::GetNodeServices
- Fog::Parsers::Terremark::Shared::GetOrganization
- Fog::Parsers::Terremark::Shared::GetOrganizations
- Fog::Parsers::Terremark::Shared::GetPublicIps
- Fog::Parsers::Terremark::Shared::GetTasksList
- Fog::Parsers::Terremark::Shared::GetVappTemplate
- Fog::Parsers::Terremark::Shared::GetVdc
- Fog::Parsers::Terremark::Shared::InstantiateVappTemplate
- Fog::Parsers::Terremark::Shared::InternetService
- Fog::Parsers::Terremark::Shared::Network
- Fog::Parsers::Terremark::Shared::NodeService
- Fog::Parsers::Terremark::Shared::PublicIp
- Fog::Parsers::Terremark::Shared::Task
- Fog::Parsers::Terremark::Shared::Vapp
- Fog::Parsers::XenServer
- Fog::Parsers::XenServer::Base
- Fog::Parsers::XenServer::GetHosts
- Fog::Parsers::XenServer::GetNetworks
- Fog::Parsers::XenServer::GetPools
- Fog::Parsers::XenServer::GetRecords
- Fog::Parsers::XenServer::GetStorageRepositories
- Fog::Parsers::XenServer::GetVBDs
- Fog::Parsers::XenServer::GetVIFs
- Fog::Parsers::XenServer::GetVms
- Fog::Provider
- Fog::Rackspace
- Fog::Rackspace::BlockStorage
- Fog::Rackspace::BlockStorage::BadRequest
- Fog::Rackspace::BlockStorage::IdentifierTaken
- Fog::Rackspace::BlockStorage::InternalServerError
- Fog::Rackspace::BlockStorage::Mock
- Fog::Rackspace::BlockStorage::Real
- Fog::Rackspace::BlockStorage::ServiceError
- Fog::Rackspace::BlockStorage::Snapshot
- Fog::Rackspace::BlockStorage::Snapshots
- Fog::Rackspace::BlockStorage::Volume
- Fog::Rackspace::BlockStorage::VolumeType
- Fog::Rackspace::BlockStorage::VolumeTypes
- Fog::Rackspace::BlockStorage::Volumes
- Fog::Rackspace::Databases
- Fog::Rackspace::Databases::BadRequest
- Fog::Rackspace::Databases::Database
- Fog::Rackspace::Databases::Databases
- Fog::Rackspace::Databases::Flavor
- Fog::Rackspace::Databases::Flavors
- Fog::Rackspace::Databases::Instance
- Fog::Rackspace::Databases::Instances
- Fog::Rackspace::Databases::InternalServerError
- Fog::Rackspace::Databases::Mock
- Fog::Rackspace::Databases::Real
- Fog::Rackspace::Databases::ServiceError
- Fog::Rackspace::Databases::User
- Fog::Rackspace::Databases::Users
- Fog::Rackspace::Errors
- Fog::Rackspace::Errors::BadRequest
- Fog::Rackspace::Errors::Conflict
- Fog::Rackspace::Errors::InternalServerError
- Fog::Rackspace::Errors::ServiceError
- Fog::Rackspace::Errors::ServiceUnavailable
- Fog::Rackspace::Identity
- Fog::Rackspace::Identity::Credential
- Fog::Rackspace::Identity::Credentials
- Fog::Rackspace::Identity::Mock
- Fog::Rackspace::Identity::Real
- Fog::Rackspace::Identity::Role
- Fog::Rackspace::Identity::Roles
- Fog::Rackspace::Identity::ServiceCatalog
- Fog::Rackspace::Identity::Tenant
- Fog::Rackspace::Identity::Tenants
- Fog::Rackspace::Identity::User
- Fog::Rackspace::Identity::Users
- Fog::Rackspace::LoadBalancers
- Fog::Rackspace::LoadBalancers::AccessRule
- Fog::Rackspace::LoadBalancers::AccessRules
- Fog::Rackspace::LoadBalancers::BadRequest
- Fog::Rackspace::LoadBalancers::InternalServerError
- Fog::Rackspace::LoadBalancers::LoadBalancer
- Fog::Rackspace::LoadBalancers::LoadBalancers
- Fog::Rackspace::LoadBalancers::Mock
- Fog::Rackspace::LoadBalancers::Node
- Fog::Rackspace::LoadBalancers::Nodes
- Fog::Rackspace::LoadBalancers::Real
- Fog::Rackspace::LoadBalancers::ServiceError
- Fog::Rackspace::LoadBalancers::Shared
- Fog::Rackspace::LoadBalancers::VirtualIp
- Fog::Rackspace::LoadBalancers::VirtualIps
- Fog::Rackspace::MockData
- Fog::Rackspace::Service
- Fog::Rake
- Fog::Rake::ChangelogTask
- Fog::Rake::TestTask
- Fog::RiakCS
- Fog::RiakCS::MultipartUtils
- Fog::RiakCS::MultipartUtils::Headers
- Fog::RiakCS::Provisioning
- Fog::RiakCS::Provisioning::Mock
- Fog::RiakCS::Provisioning::Real
- Fog::RiakCS::Provisioning::ServiceUnavailable
- Fog::RiakCS::Provisioning::UserAlreadyExists
- Fog::RiakCS::Usage
- Fog::RiakCS::Usage::Mock
- Fog::RiakCS::Usage::Real
- Fog::RiakCS::Usage::Utils
- Fog::RiakCS::UserUtils
- Fog::RiakCS::Utils
- Fog::SCP
- Fog::SCP::Mock
- Fog::SCP::Real
- Fog::SSH
- Fog::SSH::Mock
- Fog::SSH::Real
- Fog::SSH::Result
- Fog::Schema
- Fog::Schema::DataValidator
- Fog::Serverlove
- Fog::Service
- Fog::Service::Collections
- Fog::Service::Error
- Fog::Service::NoLeakInspector
- Fog::Service::NotFound
- Fog::Storage
- Fog::Storage::AWS
- Fog::Storage::AWS::Directories
- Fog::Storage::AWS::Directory
- Fog::Storage::AWS::File
- Fog::Storage::AWS::Files
- Fog::Storage::AWS::GetObjectHttpUrl
- Fog::Storage::AWS::GetObjectHttpsUrl
- Fog::Storage::AWS::GetObjectUrl
- Fog::Storage::AWS::Mock
- Fog::Storage::AWS::PutObjectUrl
- Fog::Storage::AWS::Real
- Fog::Storage::AWS::Utils
- Fog::Storage::AWS::Version
- Fog::Storage::AWS::Versions
- Fog::Storage::Atmos
- Fog::Storage::Atmos::Directories
- Fog::Storage::Atmos::Directory
- Fog::Storage::Atmos::File
- Fog::Storage::Atmos::Files
- Fog::Storage::Atmos::Mock
- Fog::Storage::Atmos::Real
- Fog::Storage::Atmos::Utils
- Fog::Storage::Google
- Fog::Storage::Google::Directories
- Fog::Storage::Google::Directory
- Fog::Storage::Google::File
- Fog::Storage::Google::Files
- Fog::Storage::Google::GetObjectHttpUrl
- Fog::Storage::Google::GetObjectHttpsUrl
- Fog::Storage::Google::Mock
- Fog::Storage::Google::Real
- Fog::Storage::Google::Utils
- Fog::Storage::HP
- Fog::Storage::HP::Directories
- Fog::Storage::HP::Directory
- Fog::Storage::HP::File
- Fog::Storage::HP::Files
- Fog::Storage::HP::Mock
- Fog::Storage::HP::Real
- Fog::Storage::HP::SharedDirectories
- Fog::Storage::HP::SharedDirectory
- Fog::Storage::HP::SharedFile
- Fog::Storage::HP::SharedFiles
- Fog::Storage::HP::Utils
- Fog::Storage::IAAttributes
- Fog::Storage::IAAttributes::ClassMethods
- Fog::Storage::IAAttributes::InstanceMethods
- Fog::Storage::IBM
- Fog::Storage::IBM::Mock
- Fog::Storage::IBM::Offering
- Fog::Storage::IBM::Offerings
- Fog::Storage::IBM::Real
- Fog::Storage::IBM::Volume
- Fog::Storage::IBM::Volumes
- Fog::Storage::InternetArchive
- Fog::Storage::InternetArchive::Directories
- Fog::Storage::InternetArchive::Directory
- Fog::Storage::InternetArchive::File
- Fog::Storage::InternetArchive::Files
- Fog::Storage::InternetArchive::GetObjectHttpUrl
- Fog::Storage::InternetArchive::GetObjectHttpsUrl
- Fog::Storage::InternetArchive::GetObjectUrl
- Fog::Storage::InternetArchive::Mock
- Fog::Storage::InternetArchive::PutObjectUrl
- Fog::Storage::InternetArchive::Real
- Fog::Storage::InternetArchive::Utils
- Fog::Storage::Local
- Fog::Storage::Local::Directories
- Fog::Storage::Local::Directory
- Fog::Storage::Local::File
- Fog::Storage::Local::Files
- Fog::Storage::Local::Mock
- Fog::Storage::Local::Real
- Fog::Storage::Ninefold
- Fog::Storage::Ninefold::Mock
- Fog::Storage::Ninefold::Real
- Fog::Storage::Ninefold::Utils
- Fog::Storage::OpenStack
- Fog::Storage::OpenStack::Directories
- Fog::Storage::OpenStack::Directory
- Fog::Storage::OpenStack::File
- Fog::Storage::OpenStack::Files
- Fog::Storage::OpenStack::Mock
- Fog::Storage::OpenStack::Real
- Fog::Storage::Rackspace
- Fog::Storage::Rackspace::Account
- Fog::Storage::Rackspace::BadRequest
- Fog::Storage::Rackspace::Directories
- Fog::Storage::Rackspace::Directory
- Fog::Storage::Rackspace::File
- Fog::Storage::Rackspace::Files
- Fog::Storage::Rackspace::InternalServerError
- Fog::Storage::Rackspace::Metadata
- Fog::Storage::Rackspace::Mock
- Fog::Storage::Rackspace::Real
- Fog::Storage::Rackspace::ServiceError
- Fog::Storage::Rackspace::Utils
- Fog::Storage::StormOnDemand
- Fog::Storage::StormOnDemand::Cluster
- Fog::Storage::StormOnDemand::Clusters
- Fog::Storage::StormOnDemand::Mock
- Fog::Storage::StormOnDemand::Real
- Fog::Storage::StormOnDemand::Volume
- Fog::Storage::StormOnDemand::Volumes
- Fog::StormOnDemand
- Fog::StormOnDemand::RealShared
- Fog::Support
- Fog::Support::StormOnDemand
- Fog::Support::StormOnDemand::Alert
- Fog::Support::StormOnDemand::Alerts
- Fog::Support::StormOnDemand::Mock
- Fog::Support::StormOnDemand::Real
- Fog::Support::StormOnDemand::Ticket
- Fog::Support::StormOnDemand::Tickets
- Fog::Terremark
- Fog::Terremark::Shared
- Fog::Terremark::Shared::Address
- Fog::Terremark::Shared::Addresses
- Fog::Terremark::Shared::Common
- Fog::Terremark::Shared::Image
- Fog::Terremark::Shared::Images
- Fog::Terremark::Shared::InternetService
- Fog::Terremark::Shared::InternetServices
- Fog::Terremark::Shared::Mock
- Fog::Terremark::Shared::Network
- Fog::Terremark::Shared::Networks
- Fog::Terremark::Shared::NodeService
- Fog::Terremark::Shared::NodeServices
- Fog::Terremark::Shared::Parser
- Fog::Terremark::Shared::Real
- Fog::Terremark::Shared::Server
- Fog::Terremark::Shared::Servers
- Fog::Terremark::Shared::Task
- Fog::Terremark::Shared::Tasks
- Fog::Terremark::Shared::Vdc
- Fog::Terremark::Shared::Vdcs
- Fog::Terremark::Vcloud
- Fog::Terremark::Vcloud::Bin
- Fog::Terremark::Vcloud::Defaults
- Fog::Terremark::Vcloud::Mock
- Fog::Terremark::Vcloud::Real
- Fog::Time
- Fog::ToHashDocument
- Fog::VPN
- Fog::VPN::StormOnDemand
- Fog::VPN::StormOnDemand::Mock
- Fog::VPN::StormOnDemand::Real
- Fog::VPN::StormOnDemand::Vpn
- Fog::VPN::StormOnDemand::Vpns
- Fog::Vcloud
- Fog::Vcloud::Collection
- Fog::Vcloud::Compute
- Fog::Vcloud::Compute::Catalog
- Fog::Vcloud::Compute::CatalogItem
- Fog::Vcloud::Compute::CatalogItems
- Fog::Vcloud::Compute::Catalogs
- Fog::Vcloud::Compute::Helpers
- Fog::Vcloud::Compute::Helpers::Status
- Fog::Vcloud::Compute::Ip
- Fog::Vcloud::Compute::Ips
- Fog::Vcloud::Compute::Mock
- Fog::Vcloud::Compute::Network
- Fog::Vcloud::Compute::Networks
- Fog::Vcloud::Compute::Organization
- Fog::Vcloud::Compute::Organizations
- Fog::Vcloud::Compute::Real
- Fog::Vcloud::Compute::Server
- Fog::Vcloud::Compute::Servers
- Fog::Vcloud::Compute::Shared
- Fog::Vcloud::Compute::Tag
- Fog::Vcloud::Compute::Tags
- Fog::Vcloud::Compute::Task
- Fog::Vcloud::Compute::Tasks
- Fog::Vcloud::Compute::Vapp
- Fog::Vcloud::Compute::Vapps
- Fog::Vcloud::Compute::Vdc
- Fog::Vcloud::Compute::Vdcs
- Fog::Vcloud::Model
- Fog::Vmfusion
- Fog::Volume
- Fog::Volume::OpenStack
- Fog::Volume::OpenStack::Mock
- Fog::Volume::OpenStack::Real
- Fog::Volume::OpenStack::Volume
- Fog::Volume::OpenStack::Volumes
- Fog::Voxel
- Fog::Vsphere
- Fog::Vsphere::Errors
- Fog::Vsphere::Errors::NotFound
- Fog::Vsphere::Errors::SecurityError
- Fog::Vsphere::Errors::ServiceError
- Fog::XML
- Fog::XML::SAXParserConnection
- Fog::XenServer
- Fog::XenServer::Connection
- Fog::XenServer::InvalidLogin
- Fog::XenServer::NokogiriStreamParser
- Fog::XenServer::NotFound
- Fog::XenServer::RequestFailed
- Fog::Zerigo
- AWS
- Atmos
- BareMetalCloud
- Bluebox
- Brightbox
- Clodo
- CloudSigma
- Cloudstack
- DNSMadeEasy
- DNSimple
- DigitalOcean
- Dreamhost
- Dynect
- Ecloud
- Glesys
- GoGrid
- Google
- HP
- Hash
- IBM
- IPAddr
- InternetArchive
- Joyent
- Libvirt
- Linode
- Local
- Ninefold
- Object
- OpenStack
- Openvz
- Ovirt
- Rackspace
- RiakCS
- Serverlove
- StormOnDemand
- String
- Terremark
- TerremarkParser
- VAppStatus
- Vcloud
- Vmfusion
- Voxel
- Vsphere
- XenServer
- Zerigo

No matching classes.

# Fog::Compute::Brightbox::Real

The Real Service actually makes real connections to the Brightbox service.

### Public Instance Methods

accept_user_collaboration(identifier) click to toggle source

Accepts the collaboration and gaining permitted access

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_collaboration_accept_user_collaboration

    # File lib/fog/brightbox/requests/compute/accept_user_collaboration.rb, line 13
    def accept_user_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/user/collaborations/#{identifier}/accept", [200])
    end

activate_console_server(identifier) click to toggle source

Enable console access via VNC to the server for 15 minutes.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_activate_console_server

    # File lib/fog/brightbox/requests/compute/activate_console_server.rb, line 13
    def activate_console_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/servers/#{identifier}/activate_console", [202])
    end

add_listeners_load_balancer(identifier, options) click to toggle source

Adds a number of listeners to the load balancer to enable balancing across nodes for those settings.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :listeners Array of Listener parameters. Timeout is optional and specified in milliseconds.

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_add_listeners_load_balancer

    # File lib/fog/brightbox/requests/compute/add_listeners_load_balancer.rb, line 16
    def add_listeners_load_balancer(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/load_balancers/#{identifier}/add_listeners", [202], options)
    end

add_nodes_load_balancer(identifier, options) click to toggle source

Add a number of nodes to the load balancer

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :nodes Array of Node parameters

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_add_nodes_load_balancer

    # File lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb, line 16
    def add_nodes_load_balancer(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/load_balancers/#{identifier}/add_nodes", [202], options)
    end

add_servers_server_group(identifier, options) click to toggle source

Add a number of servers to the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing

    +{"server" => server_id}+ for each server to add

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_group_add_servers_server_group

@example

    options = {
      :servers => [
        {"server" => "srv-abcde"},
        {"server" => "srv-fghij"}
      ]
    }
    Compute[:brightbox].add_servers_server_group "grp-12345", options

    # File lib/fog/brightbox/requests/compute/add_servers_server_group.rb, line 26
    def add_servers_server_group(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/server_groups/#{identifier}/add_servers", [202], options)
    end

apply_to_firewall_policy(identifier, options) click to toggle source

Applies firewall policy to given server group

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :server_group Server Group to apply to

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_apply_to_firewall_policy

    # File lib/fog/brightbox/requests/compute/apply_to_firewall_policy.rb, line 16
    def apply_to_firewall_policy(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/firewall_policies/#{identifier}/apply_to", [202], options)
    end

create_api_client(options) click to toggle source

Create a new API client for the account.

@param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#api_client_create_api_client

    # File lib/fog/brightbox/requests/compute/create_api_client.rb, line 16
    def create_api_client(options)
      wrapped_request("post", "/1.0/api_clients", [201], options)
    end

create_application(options) click to toggle source

Create a new application for the user.

@param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#application_create_application

    # File lib/fog/brightbox/requests/compute/create_application.rb, line 16
    def create_application(options)
      wrapped_request("post", "/1.0/applications", [201], options)
    end

create_cloud_ip(options = {}) click to toggle source

Requests a new cloud IP address for the account.

@param [Hash] options @option options [String] :reverse_dns Reverse DNS hostname @option options [String] :name Name for Cloud IP @option options [Array] :port_translators Port on which external clients connect and port on which your service is listening.

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_create_cloud_ip

    # File lib/fog/brightbox/requests/compute/create_cloud_ip.rb, line 17
    def create_cloud_ip(options = {})
      wrapped_request("post", "/1.0/cloud_ips", [201], options)
    end

create_collaboration(options) click to toggle source

Creates a new collaboration for a user for the account

@param [Hash] options @option options [String] :email Email address of user to invite @option options [String] :role Role to grant to the user. Currently only `admin`

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#collaboration_create_collaboration

    # File lib/fog/brightbox/requests/compute/create_collaboration.rb, line 16
    def create_collaboration(options)
      wrapped_request("post", "/1.0/collaborations", [201], options)
    end

create_firewall_policy(options) click to toggle source

Create a new firewall policy for the account.

Optionally applying to a server group at creation time.

@param [Hash] options @option options [String] :server_group @option options [String] :name Editable label @option options [String] :description Longer editable description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_create_firewall_policy

    # File lib/fog/brightbox/requests/compute/create_firewall_policy.rb, line 19
    def create_firewall_policy(options)
      wrapped_request("post", "/1.0/firewall_policies", [201], options)
    end

create_firewall_rule(options) click to toggle source

Create a new firewall rule for a firewall policy.

@param [Hash] options @option options [String] :firewall_policy @option options [String] :protocol @option options [String] :source Required unless destination is set. @option options [String] :source_port @option options [String] :destination Required unless source is set @option options [String] :destination_port @option options [String] :icmp_type_name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_rule_create_firewall_rule

    # File lib/fog/brightbox/requests/compute/create_firewall_rule.rb, line 22
    def create_firewall_rule(options)
      wrapped_request("post", "/1.0/firewall_rules", [202], options)
    end

create_image(options) click to toggle source

Create a new image for the account by registering it against an image stored within the Brightbox cloud image library.

The disk image must be in place before you can attempt to create a reference in the API.

@param [Hash] options @option options [String] :source Filename of the image file uploaded to /incoming via FTP @option options [String] :arch OS architecture this image is built for @option options [String] :name Name for this image. If no name is specified, a name will be autogenerated based on the source filename &amp; current time. Can be modified later. @option options [String] :username Username for the image @option options [Boolean] :public @option options [Boolean] :compatibility_mode @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#image_create_image

    # File lib/fog/brightbox/requests/compute/create_image.rb, line 23
    def create_image(options)
      wrapped_request("post", "/1.0/images", [201], options)
    end

create_load_balancer(options) click to toggle source

Create a new load balancer for the account.

@param [Hash] options @option options [String] :name Editable label @option options [Array] :nodes Array of Node parameters @option options [String] :policy Method of Load balancing to use @option options [Array] :listeners What port to listen on, port to pass through to and protocol (tcp, http or http+ws) of listener. Timeout is optional and specified in milliseconds (default is 50000). @option options [String] :healthcheck Healthcheck options - only "port" and "type" required

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_create_load_balancer

    # File lib/fog/brightbox/requests/compute/create_load_balancer.rb, line 19
    def create_load_balancer(options)
      wrapped_request("post", "/1.0/load_balancers", [202], options)
    end

create_server(options) click to toggle source

Create a new server for the account based on the required disk image.

Optionally can setup the type of server, zone to locate it, groups to join and custom metadata.

@param [Hash] options @option options [String] :image @option options [String] :name Editable label @option options [String] :server_type @option options [String] :zone Zone in which to create new Server @option options [String] :user_data @option options [Array] :server_groups Array of server groups to add server to

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_create_server

    # File lib/fog/brightbox/requests/compute/create_server.rb, line 22
    def create_server(options)
      wrapped_request("post", "/1.0/servers", [202], options)
    end

create_server_group(options) click to toggle source

Create a new server group for the account.

@param [Hash] options @option options [String] :name Editable user label @option options [String] :description Editable user description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_group_create_server_group

    # File lib/fog/brightbox/requests/compute/create_server_group.rb, line 16
    def create_server_group(options)
      wrapped_request("post", "/1.0/server_groups", [202], options)
    end

delete_api_client(identifier) click to toggle source

Destroy the API client.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#api_client_delete_api_client

    # File lib/fog/brightbox/requests/compute/delete_api_client.rb, line 13
    def delete_api_client(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/api_clients/#{identifier}", [200])
    end

delete_application(identifier) click to toggle source

Destroy the application.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#application_delete_application

    # File lib/fog/brightbox/requests/compute/delete_application.rb, line 13
    def delete_application(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/applications/#{identifier}", [200])
    end

delete_cloud_ip(identifier) click to toggle source

Release the cloud IP address from the account's ownership.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#cloud_ip_delete_cloud_ip

    # File lib/fog/brightbox/requests/compute/delete_cloud_ip.rb, line 13
    def delete_cloud_ip(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/cloud_ips/#{identifier}", [200])
    end

delete_collaboration(identifier) click to toggle source

Cancels or completes the collaboration

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#collaboration_delete_collaboration

    # File lib/fog/brightbox/requests/compute/delete_collaboration.rb, line 13
    def delete_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/collaborations/#{identifier}", [200])
    end

delete_firewall_policy(identifier) click to toggle source

Destroy the firewall policy if not in use.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#firewall_policy_delete_firewall_policy

    # File lib/fog/brightbox/requests/compute/delete_firewall_policy.rb, line 13
    def delete_firewall_policy(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/firewall_policies/#{identifier}", [202])
    end

delete_firewall_rule(identifier) click to toggle source

Destroy the firewall rule.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#firewall_rule_delete_firewall_rule

    # File lib/fog/brightbox/requests/compute/delete_firewall_rule.rb, line 13
    def delete_firewall_rule(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/firewall_rules/#{identifier}", [202])
    end

delete_image(identifier) click to toggle source

Destroy the image.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#image_delete_image

    # File lib/fog/brightbox/requests/compute/delete_image.rb, line 13
    def delete_image(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/images/#{identifier}", [202])
    end

delete_load_balancer(identifier) click to toggle source

Destroy the LoadBalancer

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#load_balancer_delete_load_balancer

    # File lib/fog/brightbox/requests/compute/delete_load_balancer.rb, line 13
    def delete_load_balancer(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/load_balancers/#{identifier}", [202])
    end

delete_server(identifier) click to toggle source

Destroy the server and free up the resources.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_delete_server

    # File lib/fog/brightbox/requests/compute/delete_server.rb, line 13
    def delete_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/servers/#{identifier}", [202])
    end

delete_server_group(identifier) click to toggle source

Destroy the server group if not in use.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_group_delete_server_group

    # File lib/fog/brightbox/requests/compute/delete_server_group.rb, line 13
    def delete_server_group(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/server_groups/#{identifier}", [202])
    end

delete_user_collaboration(identifier) click to toggle source

Ends an existing 'accepted' collaboration

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_collaboration_delete_user_collaboration

    # File lib/fog/brightbox/requests/compute/delete_user_collaboration.rb, line 13
    def delete_user_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("delete", "/1.0/user/collaborations/#{identifier}", [200])
    end

destroy_api_client(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_api_client` instead

    # File lib/fog/brightbox/requests/compute/delete_api_client.rb, line 22
    def destroy_api_client(identifier)
      delete_api_client(identifier)
    end

destroy_application(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_application` instead

    # File lib/fog/brightbox/requests/compute/delete_application.rb, line 22
    def destroy_application(identifier)
      delete_application(identifier)
    end

destroy_cloud_ip(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_cloud_ip` instead

    # File lib/fog/brightbox/requests/compute/delete_cloud_ip.rb, line 22
    def destroy_cloud_ip(identifier)
      delete_cloud_ip(identifier)
    end

destroy_collaboration(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_collaboration` instead

    # File lib/fog/brightbox/requests/compute/delete_collaboration.rb, line 22
    def destroy_collaboration(identifier)
      delete_collaboration(identifier)
    end

destroy_firewall_policy(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_firewall_policy` instead

    # File lib/fog/brightbox/requests/compute/delete_firewall_policy.rb, line 22
    def destroy_firewall_policy(identifier)
      delete_firewall_policy(identifier)
    end

destroy_firewall_rule(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_firewall_rule` instead

    # File lib/fog/brightbox/requests/compute/delete_firewall_rule.rb, line 22
    def destroy_firewall_rule(identifier)
      delete_firewall_rule(identifier)
    end

destroy_image(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_image` instead

    # File lib/fog/brightbox/requests/compute/delete_image.rb, line 22
    def destroy_image(identifier)
      delete_image(identifier)
    end

destroy_load_balancer(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_load_balancer` instead

    # File lib/fog/brightbox/requests/compute/delete_load_balancer.rb, line 22
    def destroy_load_balancer(identifier)
      delete_load_balancer(identifier)
    end

destroy_server(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_server` instead

    # File lib/fog/brightbox/requests/compute/delete_server.rb, line 22
    def destroy_server(identifier)
      delete_server(identifier)
    end

destroy_server_group(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_server_group` instead

    # File lib/fog/brightbox/requests/compute/delete_server_group.rb, line 22
    def destroy_server_group(identifier)
      delete_server_group(identifier)
    end

destroy_user_collaboration(identifier) click to toggle source

Old format of the delete request.

@deprecated Use `#delete_user_collaboration` instead

    # File lib/fog/brightbox/requests/compute/delete_user_collaboration.rb, line 22
    def destroy_user_collaboration(identifier)
      delete_user_collaboration(identifier)
    end

get_account(identifier = nil) click to toggle source

Get full details of the account.

@overload get_account(identifier)

    @param [String] identifier Unique reference to identify the resource

@overload get_account()

    @deprecated Use {Fog::Compute::Brightbox::Real#get_scoped_account} instead

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#account_get_account

    # File lib/fog/brightbox/requests/compute/get_account.rb, line 17
    def get_account(identifier = nil)
      if identifier.nil? || identifier.empty?
        Fog::Logger.deprecation("get_account() without a parameter is deprecated, use get_scoped_account instead [light_black](#{caller.first})[/]")
        get_scoped_account
      else
        wrapped_request("get", "/1.0/accounts/#{identifier}", [200])
      end
    end

get_api_client(identifier) click to toggle source

Get full details of the API client.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#api_client_get_api_client

    # File lib/fog/brightbox/requests/compute/get_api_client.rb, line 13
    def get_api_client(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/api_clients/#{identifier}", [200])
    end

get_application(identifier) click to toggle source

Get full details of the application.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#application_get_application

    # File lib/fog/brightbox/requests/compute/get_application.rb, line 13
    def get_application(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/applications/#{identifier}", [200])
    end

get_authenticated_user() click to toggle source

Requests details about authenticated user from the API

@return [Hash] The JSON response parsed to a Hash

    # File lib/fog/brightbox/requests/compute/get_authenticated_user.rb, line 9
    def get_authenticated_user
      wrapped_request("get", "/1.0/user", [200])
    end

get_cloud_ip(identifier) click to toggle source

Get full details of the cloud IP address.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#cloud_ip_get_cloud_ip

    # File lib/fog/brightbox/requests/compute/get_cloud_ip.rb, line 13
    def get_cloud_ip(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/cloud_ips/#{identifier}", [200])
    end

get_collaboration(identifier) click to toggle source

Shows details of one collaboration

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#collaboration_get_collaboration

    # File lib/fog/brightbox/requests/compute/get_collaboration.rb, line 13
    def get_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/collaborations/#{identifier}", [200])
    end

get_firewall_policy(identifier) click to toggle source

Get details of the firewall policy

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#firewall_policy_get_firewall_policy

    # File lib/fog/brightbox/requests/compute/get_firewall_policy.rb, line 13
    def get_firewall_policy(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/firewall_policies/#{identifier}", [200])
    end

get_firewall_rule(identifier) click to toggle source

Get full details of the firewall rule.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#firewall_rule_get_firewall_rule

    # File lib/fog/brightbox/requests/compute/get_firewall_rule.rb, line 13
    def get_firewall_rule(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/firewall_rules/#{identifier}", [200])
    end

get_image(identifier) click to toggle source

Get full details of the image.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#image_get_image

    # File lib/fog/brightbox/requests/compute/get_image.rb, line 13
    def get_image(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/images/#{identifier}", [200])
    end

get_interface(identifier) click to toggle source

Get full details of the interface.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#interface_get_interface

    # File lib/fog/brightbox/requests/compute/get_interface.rb, line 13
    def get_interface(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/interfaces/#{identifier}", [200])
    end

get_load_balancer(identifier) click to toggle source

Get full details of the load balancer.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#load_balancer_get_load_balancer

    # File lib/fog/brightbox/requests/compute/get_load_balancer.rb, line 13
    def get_load_balancer(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/load_balancers/#{identifier}", [200])
    end

get_scoped_account() click to toggle source

Requests details about currently scoped account

@return [Hash] The JSON response parsed to a Hash

    # File lib/fog/brightbox/requests/compute/get_scoped_account.rb, line 8
    def get_scoped_account
      wrapped_request("get", "/1.0/account", [200])
    end

get_server(identifier) click to toggle source

Get full details of the server.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_get_server

    # File lib/fog/brightbox/requests/compute/get_server.rb, line 13
    def get_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/servers/#{identifier}", [200])
    end

get_server_group(identifier) click to toggle source

Get details of the server group.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_group_get_server_group

    # File lib/fog/brightbox/requests/compute/get_server_group.rb, line 13
    def get_server_group(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/server_groups/#{identifier}", [200])
    end

get_server_type(identifier) click to toggle source

Get full details of the server type.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_type_get_server_type

    # File lib/fog/brightbox/requests/compute/get_server_type.rb, line 13
    def get_server_type(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/server_types/#{identifier}", [200])
    end

get_user(identifier = nil) click to toggle source

Get full details of the user.

@overload get_user(identifier)

    @param [String] identifier Unique reference to identify the resource

@overload get_user()

    @deprecated Use {Fog::Compute::Brightbox::Real#get_authenticated_user} instead

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_get_user

    # File lib/fog/brightbox/requests/compute/get_user.rb, line 17
    def get_user(identifier = nil)
      if identifier.nil? || identifier == ""
        Fog::Logger.deprecation("get_user() without a parameter is deprecated, use get_authenticated_user instead [light_black](#{caller.first})[/]")
        get_authenticated_user
      else
        wrapped_request("get", "/1.0/users/#{identifier}", [200])
      end
    end

get_user_collaboration(identifier) click to toggle source

Shows details of one collaboration

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_collaboration_get_user_collaboration

    # File lib/fog/brightbox/requests/compute/get_user_collaboration.rb, line 13
    def get_user_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/user/collaborations/#{identifier}", [200])
    end

get_zone(identifier) click to toggle source

Get full details of the zone.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#zone_get_zone

    # File lib/fog/brightbox/requests/compute/get_zone.rb, line 13
    def get_zone(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("get", "/1.0/zones/#{identifier}", [200])
    end

list_accounts() click to toggle source

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#account_list_accounts

    # File lib/fog/brightbox/requests/compute/list_accounts.rb, line 10
    def list_accounts
      wrapped_request("get", "/1.0/accounts", [200])
    end

list_api_clients() click to toggle source

Lists summary details of API clients owned by the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#api_client_list_api_clients

    # File lib/fog/brightbox/requests/compute/list_api_clients.rb, line 12
    def list_api_clients
      wrapped_request("get", "/1.0/api_clients", [200])
    end

list_applications() click to toggle source

Lists summary details of applications available to the user

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#application_list_applications

    # File lib/fog/brightbox/requests/compute/list_applications.rb, line 12
    def list_applications
      wrapped_request("get", "/1.0/applications", [200])
    end

list_cloud_ips() click to toggle source

Lists summary details of cloud IP addresses owned by the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#cloud_ip_list_cloud_ips

    # File lib/fog/brightbox/requests/compute/list_cloud_ips.rb, line 12
    def list_cloud_ips
      wrapped_request("get", "/1.0/cloud_ips", [200])
    end

list_collaborations() click to toggle source

Lists all the account collaborations

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#collaboration_list_collaborations

    # File lib/fog/brightbox/requests/compute/list_collaborations.rb, line 12
    def list_collaborations
      wrapped_request("get", "/1.0/collaborations", [200])
    end

list_firewall_policies() click to toggle source

Lists summary details of firewall policies

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#firewall_policy_list_firewall_policies

    # File lib/fog/brightbox/requests/compute/list_firewall_policies.rb, line 12
    def list_firewall_policies
      wrapped_request("get", "/1.0/firewall_policies", [200])
    end

list_images() click to toggle source

Lists summary details of images available for use by the Account. It includes those available to all customers

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#image_list_images

    # File lib/fog/brightbox/requests/compute/list_images.rb, line 12
    def list_images
      wrapped_request("get", "/1.0/images", [200])
    end

list_load_balancers() click to toggle source

Lists summary details of load balancers owned by the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#load_balancer_list_load_balancers

    # File lib/fog/brightbox/requests/compute/list_load_balancers.rb, line 12
    def list_load_balancers
      wrapped_request("get", "/1.0/load_balancers", [200])
    end

list_server_groups() click to toggle source

Lists summary details of server groups owned by the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_group_list_server_groups

    # File lib/fog/brightbox/requests/compute/list_server_groups.rb, line 12
    def list_server_groups
      wrapped_request("get", "/1.0/server_groups", [200])
    end

list_server_types() click to toggle source

Lists summary details of server types available to the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_type_list_server_types

    # File lib/fog/brightbox/requests/compute/list_server_types.rb, line 12
    def list_server_types
      wrapped_request("get", "/1.0/server_types", [200])
    end

list_servers() click to toggle source

Lists summary details of servers owned by the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_list_servers

    # File lib/fog/brightbox/requests/compute/list_servers.rb, line 12
    def list_servers
      wrapped_request("get", "/1.0/servers", [200])
    end

list_user_collaborations() click to toggle source

Lists all collaborations the user is involved with

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_collaboration_list_user_collaborations

    # File lib/fog/brightbox/requests/compute/list_user_collaborations.rb, line 12
    def list_user_collaborations
      wrapped_request("get", "/1.0/user/collaborations", [200])
    end

list_users() click to toggle source

Lists summary details of user.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_list_users

    # File lib/fog/brightbox/requests/compute/list_users.rb, line 12
    def list_users
      wrapped_request("get", "/1.0/users", [200])
    end

list_zones() click to toggle source

Lists summary details of zones available to the account.

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#zone_list_zones

    # File lib/fog/brightbox/requests/compute/list_zones.rb, line 12
    def list_zones
      wrapped_request("get", "/1.0/zones", [200])
    end

map_cloud_ip(identifier, options) click to toggle source

Maps (or points) a cloud IP address at a server's interface or a load balancer to allow them to respond to public requests.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :destination The ID of an Interface or LoadBalancer to map the Cloud IP against

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_map_cloud_ip

    # File lib/fog/brightbox/requests/compute/map_cloud_ip.rb, line 16
    def map_cloud_ip(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/cloud_ips/#{identifier}/map", [202], options)
    end

move_servers_server_group(identifier, options) click to toggle source

Removes a number of server from the server group and adds them to another server group given in parameters.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing

    +{"server" => server_id}+ for each server to remove

@option options [String] :destination ServerGroup to move servers to

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_group_move_servers_server_group

@example

    options = {
      :destination => "grp-67890",
      :servers => [
        {"server" => "srv-abcde"},
        {"server" => "srv-fghij"}
      ]
    }
    Compute[:brightbox].remove_servers_server_group "grp-12345", options

    # File lib/fog/brightbox/requests/compute/move_servers_server_group.rb, line 28
    def move_servers_server_group(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/server_groups/#{identifier}/move_servers", [202], options)
    end

reject_user_collaboration(identifier) click to toggle source

Rejects the collaboration and removes the offer

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#user_collaboration_reject_user_collaboration

    # File lib/fog/brightbox/requests/compute/reject_user_collaboration.rb, line 13
    def reject_user_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/user/collaborations/#{identifier}/reject", [200])
    end

remove_firewall_policy(identifier, options) click to toggle source

Removes firewall policy from given server group

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :server_group Server Group to remove

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_remove_firewall_policy

    # File lib/fog/brightbox/requests/compute/remove_firewall_policy.rb, line 16
    def remove_firewall_policy(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/firewall_policies/#{identifier}/remove", [202], options)
    end

remove_listeners_load_balancer(identifier, options) click to toggle source

Removes a number of listeners from a load balancer to cease balancing across nodes for those settings.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :listeners Array of Listener parameters

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_remove_listeners_load_balancer

    # File lib/fog/brightbox/requests/compute/remove_listeners_load_balancer.rb, line 16
    def remove_listeners_load_balancer(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/load_balancers/#{identifier}/remove_listeners", [202], options)
    end

remove_nodes_load_balancer(identifier, options) click to toggle source

Remove a number of nodes from the load balancer

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :nodes Array of Node parameters

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_remove_nodes_load_balancer

    # File lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb, line 16
    def remove_nodes_load_balancer(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/load_balancers/#{identifier}/remove_nodes", [202], options)
    end

remove_servers_server_group(identifier, options) click to toggle source

Remove a number of servers from the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing

    +{"server" => server_id}+ for each server

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_group_remove_servers_server_group

@example

    options = {
      :servers => [
        {"server" => "srv-abcde"},
        {"server" => "srv-fghij"}
      ]
    }
    Compute[:brightbox].remove_servers_server_group "grp-12345", options

    # File lib/fog/brightbox/requests/compute/remove_servers_server_group.rb, line 26
    def remove_servers_server_group(identifier, options)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/server_groups/#{identifier}/remove_servers", [202], options)
    end

request(*args) click to toggle source

Makes an API request to the given path using passed options or those set with the service setup

@todo Standard Fog behaviour is to return the Excon::Response but

    this was unintentionally changed to be the Hash version of the
    data in the body. This loses access to some details and should
    be corrected in a backwards compatible manner

@overload request(params)

    @param [Hash] params Excon compatible options
    @option params [String] :body text to be sent over a socket
    @option params [Hash<Symbol, String>] :headers The default headers to supply in a request
    @option params [String] :host The destination host's reachable DNS name or IP, in the form of a String
    @option params [String] :path appears after 'scheme://host:port/'
    @option params [Fixnum] :port The port on which to connect, to the destination host
    @option params [Hash]   :query appended to the 'scheme://host:port/path/' in the form of '?key=value'
    @option params [String] :scheme The protocol; 'https' causes OpenSSL to be used
    @return [Excon::Response]
    @see https://github.com/geemus/excon/blob/master/lib/excon/connection.rb

@overload request(method, path, expected_responses, params = {})

    @param [String] method HTTP method to use for the request
    @param [String] path   The absolute path for the request
    @param [Array<Fixnum>] expected_responses HTTP response codes that have been successful
    @param [Hash] params Keys and values for JSON
    @option params [String] :account_id The scoping account if required
    @deprecated #request with multiple arguments is deprecated
      since it is inconsistent with original fog version.
    @return [Hash]

    # File lib/fog/brightbox/compute.rb, line 215
    def request(*args)
      if args.size == 1
        authenticated_request(*args)
      else
        Fog::Logger.deprecation("#request with multiple parameters is deprecated, use #wrapped_request instead [light_black](#{caller.first})[/]")
        wrapped_request(*args)
      end
    end

resend_collaboration(identifier) click to toggle source

Resends the invitation email to the collaborator

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#collaboration_resend_collaboration

    # File lib/fog/brightbox/requests/compute/resend_collaboration.rb, line 13
    def resend_collaboration(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/collaborations/#{identifier}/resend", [200])
    end

reset_ftp_password_account(identifier = nil) click to toggle source

Reset the image library ftp password for the account.

@note The response is the only time the new password is available in plaintext.

@overload reset_ftp_password_account(identifier)

    @param [String] identifier Unique reference to identify the resource

@overload reset_ftp_password_account()

    @deprecated Use {Fog::Compute::Brightbox::Real#reset_ftp_password_scoped_account} instead

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#account_reset_ftp_password_account

    # File lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb, line 20
    def reset_ftp_password_account(identifier = nil)
      if identifier.nil? || identifier.empty?
        Fog::Logger.deprecation("reset_ftp_password_account() without a parameter is deprecated, use reset_ftp_password_scoped_account instead [light_black](#{caller.first})[/]")
        reset_ftp_password_scoped_account
      else
        wrapped_request("post", "/1.0/accounts/#{identifier}/reset_ftp_password", [200])
      end
    end

reset_ftp_password_scoped_account() click to toggle source

Resets the image library ftp password for the scoped account

@note The response is the only time the new password is available in plaintext.

@return [Hash] The JSON response parsed to a Hash

    # File lib/fog/brightbox/requests/compute/reset_ftp_password_scoped_account.rb, line 11
    def reset_ftp_password_scoped_account
      wrapped_request("post", "/1.0/account/reset_ftp_password", [200])
    end

reset_secret_api_client(identifier) click to toggle source

Resets the secret used by the API client to a new generated value.

The response is the only time the new secret is available in plaintext.

Already authenticated tokens will still continue to be valid until expiry.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#api_client_reset_secret_api_client

    # File lib/fog/brightbox/requests/compute/reset_secret_api_client.rb, line 17
    def reset_secret_api_client(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/api_clients/#{identifier}/reset_secret", [200])
    end

reset_secret_application(identifier) click to toggle source

Resets the secret used by the application to a new generated value.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#application_reset_secret_application

    # File lib/fog/brightbox/requests/compute/reset_secret_application.rb, line 13
    def reset_secret_application(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/applications/#{identifier}/reset_secret", [200])
    end

shutdown_server(identifier) click to toggle source

Will issue a safe shutdown request for the server.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_shutdown_server

    # File lib/fog/brightbox/requests/compute/shutdown_server.rb, line 13
    def shutdown_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/servers/#{identifier}/shutdown", [202])
    end

snapshot_server(identifier) click to toggle source

Will issue a request to snapshot the Server

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_snapshot_server

    # File lib/fog/brightbox/requests/compute/snapshot_server.rb, line 13
    def snapshot_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/servers/#{identifier}/snapshot", [202])
    end

start_server(identifier) click to toggle source

Will issue a start request for the server to become active.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_start_server

    # File lib/fog/brightbox/requests/compute/start_server.rb, line 13
    def start_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/servers/#{identifier}/start", [202])
    end

stop_server(identifier) click to toggle source

Will issue a stop request for the server to become inactive.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#server_stop_server

    # File lib/fog/brightbox/requests/compute/stop_server.rb, line 13
    def stop_server(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/servers/#{identifier}/stop", [202])
    end

unmap_cloud_ip(identifier) click to toggle source

Unmaps a cloud IP address from its current destination making it available to remap. This remains in the account's pool of addresses.

@param [String] identifier Unique reference to identify the resource

@return [Hash] if successful Hash version of JSON object

@see api.gb1.brightbox.com/1.0/#cloud_ip_unmap_cloud_ip

    # File lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb, line 13
    def unmap_cloud_ip(identifier)
      return nil if identifier.nil? || identifier == ""
      wrapped_request("post", "/1.0/cloud_ips/#{identifier}/unmap", [202])
    end

update_account(*args) click to toggle source

Update some details of the account.

@overload update_account(identifier, options)

    @param [String] identifier Unique reference to identify the resource
    @param [Hash] options
    @option options [String] :name Account name
    @option options [String] :address_1 First line of address
    @option options [String] :address_2 Second line of address
    @option options [String] :city City part of address
    @option options [String] :county County part of address
    @option options [String] :postcode Postcode or Zipcode
    @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`)
    @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil`
    @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@overload update_account(options)

    @deprecated Use {Fog::Compute::Brightbox::Real#update_scoped_account} instead

    @param [Hash] options
    @option options [String] :name Account name
    @option options [String] :address_1 First line of address
    @option options [String] :address_2 Second line of address
    @option options [String] :city City part of address
    @option options [String] :county County part of address
    @option options [String] :postcode Postcode or Zipcode
    @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`)
    @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil`
    @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#account_update_account

    # File lib/fog/brightbox/requests/compute/update_account.rb, line 39
    def update_account(*args)
      if args.size == 2
        identifier = args[0]
        options = args[1]
      elsif args.size == 1
        options = args[0]
      else
        raise ArgumentError, "wrong number of arguments (0 for 2)"
      end

      return nil if options.empty? || options.nil?
      if identifier.nil? || identifier.empty?
        Fog::Logger.deprecation("update_account() without a parameter is deprecated, use update_scoped_account instead [light_black](#{caller.first})[/]")
        update_scoped_account(options)
      else
        wrapped_request("put", "/1.0/accounts/#{identifier}", [200], options)
      end
    end

update_api_client(identifier, options) click to toggle source

Update some details of the API client.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#api_client_update_api_client

    # File lib/fog/brightbox/requests/compute/update_api_client.rb, line 17
    def update_api_client(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/api_clients/#{identifier}", [200], options)
    end

update_application(identifier, options) click to toggle source

Update some details of the application.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#application_update_application

    # File lib/fog/brightbox/requests/compute/update_application.rb, line 17
    def update_application(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/applications/#{identifier}", [200], options)
    end

update_cloud_ip(identifier, options) click to toggle source

Update some details of the cloud IP address.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :reverse_dns Reverse DNS hostname @option options [String] :name Name for Cloud IP @option options [Array] :port_translators Port on which external clients connect and port on which your service is listening.

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_update_cloud_ip

    # File lib/fog/brightbox/requests/compute/update_cloud_ip.rb, line 18
    def update_cloud_ip(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/cloud_ips/#{identifier}", [200], options)
    end

update_firewall_policy(identifier, options) click to toggle source

Updates details of the firewall policy

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable label @option options [String] :description Longer editable description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_update_firewall_policy

    # File lib/fog/brightbox/requests/compute/update_firewall_policy.rb, line 17
    def update_firewall_policy(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/firewall_policies/#{identifier}", [200], options)
    end

update_firewall_rule(identifier, options) click to toggle source

Update some settings of the firewall rule.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :protocol @option options [String] :source Required unless destination is set. @option options [String] :source_port @option options [String] :destination Required unless source is set @option options [String] :destination_port @option options [String] :icmp_type_name @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#firewall_rule_update_firewall_rule

    # File lib/fog/brightbox/requests/compute/update_firewall_rule.rb, line 22
    def update_firewall_rule(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/firewall_rules/#{identifier}", [202], options)
    end

update_image(identifier, options) click to toggle source

Update some details of the image.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :username @option options [String] :arch @option options [String] :status @option options [Boolean] :public @option options [Boolean] :compatibility_mode @option options [String] :description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#image_update_image

    # File lib/fog/brightbox/requests/compute/update_image.rb, line 22
    def update_image(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/images/#{identifier}", [200], options)
    end

update_load_balancer(identifier, options) click to toggle source

Update some details of the load balancer.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable label @option options [Array] :nodes Array of Node parameters @option options [String] :policy Method of Load balancing to use @option options [Array] :listeners What port to listen on, port to pass through to and protocol (tcp, http or http+ws) of listener. Timeout is optional and specified in milliseconds (default is 50000). @option options [String] :healthcheck Healthcheck options - only "port" and "type" required

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#load_balancer_update_load_balancer

    # File lib/fog/brightbox/requests/compute/update_load_balancer.rb, line 20
    def update_load_balancer(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/load_balancers/#{identifier}", [202], options)
    end

update_scoped_account(options) click to toggle source

Requests an update to the currently scoped account

@param [Hash] options @option options [String] :name Account name @option options [String] :address_1 First line of address @option options [String] :address_2 Second line of address @option options [String] :city City part of address @option options [String] :county County part of address @option options [String] :postcode Postcode or Zipcode @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`) @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil` @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#account_update_account

    # File lib/fog/brightbox/requests/compute/update_scoped_account.rb, line 23
    def update_scoped_account(options)
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/account", [200], options)
    end

update_server(identifier, options) click to toggle source

Update some details of the server.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable label @option options [String] :user_data User defined metadata @option options [Boolean] :compatibility_mode Server needs to be shutdown and restarted for changes to this to take effect

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_update_server

    # File lib/fog/brightbox/requests/compute/update_server.rb, line 18
    def update_server(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/servers/#{identifier}", [200], options)
    end

update_server_group(identifier, options) click to toggle source

Update some details of the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable user label @option options [String] :description Editable user description

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#server_group_update_server_group

    # File lib/fog/brightbox/requests/compute/update_server_group.rb, line 17
    def update_server_group(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/server_groups/#{identifier}", [202], options)
    end

update_user(identifier, options) click to toggle source

Update some details of your user profile.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :email_address @option options [String] :ssh_key @option options [String] :password A password string that conforms to the minimum requirements @option options [String] :password_confirmation A password string that conforms to the minimum requirements

@return [Hash] if successful Hash version of JSON object @return [NilClass] if no options were passed

@see api.gb1.brightbox.com/1.0/#user_update_user

    # File lib/fog/brightbox/requests/compute/update_user.rb, line 20
    def update_user(identifier, options)
      return nil if identifier.nil? || identifier == ""
      return nil if options.empty? || options.nil?
      wrapped_request("put", "/1.0/users/#{identifier}", [200], options)
    end

wrapped_request(method, path, expected_responses, parameters = {}) click to toggle source

Makes a request but with seperated arguments and parses the response to a hash

@note wrapped_request is the non-standard form of request introduced by mistake

@param [String] method HTTP method to use for the request @param [String] path The absolute path for the request @param [Array<Fixnum>] expected_responses HTTP response codes that have been successful @param [Hash] parameters Keys and values for JSON @option parameters [String] :account_id The scoping account if required

@return [Hash]

    # File lib/fog/brightbox/compute.rb, line 235
    def wrapped_request(method, path, expected_responses, parameters = {})
      _wrapped_request(method, path, expected_responses, parameters)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.